ALTER TABLE "public"."worker_role" ADD CONSTRAINT "worker_role_role_key" UNIQUE (role) ;
ALTER TABLE "public"."singles" ADD CONSTRAINT "singles_uq" UNIQUE (asset_reg, pdesc, cod) ;
ALTER TABLE "public"."sd_line_status" ADD CONSTRAINT "sd_line_status_status_key" UNIQUE (status) ;
ALTER TABLE "public"."scanned_docket_type" ADD CONSTRAINT "scanned_docket_type_description_key" UNIQUE (description) ;
ALTER TABLE "public"."product" ADD CONSTRAINT "product_uq" UNIQUE (cod) ;
ALTER TABLE "public"."pgmreports" ADD CONSTRAINT "pgmreports_repname_key" UNIQUE (repname) ;
ALTER TABLE "public"."pdesc" ADD CONSTRAINT "pdesc_uq" UNIQUE (asset_reg, cod) ;
ALTER TABLE "public"."pdesc" ADD CONSTRAINT "pdesc_cod_uq" UNIQUE (cod) ;
ALTER TABLE "public"."override_document_address" ADD CONSTRAINT "overrideidx1" UNIQUE (doc_type, doc_id) ;
ALTER TABLE "public"."imaging_barcode" ADD CONSTRAINT "imaging_barcode_reference_key" UNIQUE (reference) ;
ALTER TABLE "public"."ihead" ADD CONSTRAINT "ihead_uk" UNIQUE (doc_type, location, ref, cust) ;
ALTER TABLE "public"."custsite" ADD CONSTRAINT "custsite_uq" UNIQUE (depot, cust, site) ;
ALTER TABLE "public"."chdetail" ADD CONSTRAINT "chdet_uq" UNIQUE (location, contract, lin) ;
ALTER TABLE "public"."android_device" ADD CONSTRAINT "android_dev_uq" UNIQUE (device_name) ;
ALTER TABLE "public"."y2k" ADD CONSTRAINT "y2k_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."xmit_tender" ADD CONSTRAINT "xmit_tender_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_work_list" ADD CONSTRAINT "ws_work_list_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_ttemp_spares" ADD CONSTRAINT "ws_ttemp_spares_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_ttemp_resources" ADD CONSTRAINT "ws_ttemp_resources_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_trigger" ADD CONSTRAINT "ws_trigger_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_task_template" ADD CONSTRAINT "ws_task_template_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_task_status" ADD CONSTRAINT "ws_task_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_task_assigned" ADD CONSTRAINT "ws_task_assigned_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_task" ADD CONSTRAINT "ws_task_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_spares_used" ADD CONSTRAINT "ws_spares_used_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_skill" ADD CONSTRAINT "ws_skill_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_resource" ADD CONSTRAINT "ws_resource_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_pdesc_trigger" ADD CONSTRAINT "ws_pdesc_trigger_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_other_job_costs" ADD CONSTRAINT "ws_other_job_costs_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_other_cost" ADD CONSTRAINT "ws_other_cost_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_nmeter_events" ADD CONSTRAINT "ws_nmeter_events_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_named_meter" ADD CONSTRAINT "ws_named_meter_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_meter_units" ADD CONSTRAINT "ws_meter_units_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_meter_type" ADD CONSTRAINT "ws_meter_type_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_meter_readings" ADD CONSTRAINT "ws_meter_readings_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_meter_events" ADD CONSTRAINT "ws_meter_events_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_meter" ADD CONSTRAINT "ws_meter_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_jtemp_tasks" ADD CONSTRAINT "ws_jtemp_tasks_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_job_url" ADD CONSTRAINT "ws_job_url_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_job_type" ADD CONSTRAINT "ws_job_type_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_job_to_sigcap_queue_map" ADD CONSTRAINT "wtsm" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_job_template_to_ws_named_meter_map" ADD CONSTRAINT "wjt_to_wnm_map_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_job_template_ext" ADD CONSTRAINT "ws_job_template_ext_pkey" PRIMARY KEY (ws_job_template_id) ;
ALTER TABLE "public"."ws_job_template" ADD CONSTRAINT "ws_job_template_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_job_tasks" ADD CONSTRAINT "ws_job_tasks_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_job_quotation" ADD CONSTRAINT "wsjobquote_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_job_pser_map" ADD CONSTRAINT "ws_job_pser_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_job_project_cost_category" ADD CONSTRAINT "ws_job_project_cost_category_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_job_number" ADD CONSTRAINT "ws_job_number_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_job_item" ADD CONSTRAINT "ws_job_item_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_job_ihead" ADD CONSTRAINT "wsjobihead_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_job_history" ADD CONSTRAINT "ws_job_history_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_job_ext" ADD CONSTRAINT "ws_job_ext_pkey" PRIMARY KEY (ws_job_id) ;
ALTER TABLE "public"."ws_job_cser_map" ADD CONSTRAINT "ws_job_cser_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_job_chead" ADD CONSTRAINT "wsjobchead_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_job_barcode_map" ADD CONSTRAINT "ws_job_barcode_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_job" ADD CONSTRAINT "ws_job_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_item_trigger" ADD CONSTRAINT "ws_item_trigger_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_item_level" ADD CONSTRAINT "ws_item_level_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_fromstat_tostat" ADD CONSTRAINT "ws_fromstat_tostat_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_events" ADD CONSTRAINT "ws_events_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_event" ADD CONSTRAINT "ws_event_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_equipment_type" ADD CONSTRAINT "ws_equipment_type_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_equip_typ_meter" ADD CONSTRAINT "ws_equip_typ_meter_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_equip_category" ADD CONSTRAINT "ws_equip_category_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_engineer_time_by_date" ADD CONSTRAINT "ws_engineer_time_by_date_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_engineer_time" ADD CONSTRAINT "ws_engineer_time_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_engineer_skills" ADD CONSTRAINT "ws_engineer_skills_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_engineer" ADD CONSTRAINT "ws_engineer_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_cust_serial" ADD CONSTRAINT "ws_cust_serial_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_control" ADD CONSTRAINT "ws_control_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_conditions" ADD CONSTRAINT "ws_conditions_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_categ_trigger" ADD CONSTRAINT "ws_categ_trigger_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_already_fired" ADD CONSTRAINT "ws_already_fired_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ws_actions" ADD CONSTRAINT "ws_actions_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."workshop_trigger" ADD CONSTRAINT "workshop_trigger_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."worklist" ADD CONSTRAINT "worklist_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."worker_role_map" ADD CONSTRAINT "pk_worker_role_map" PRIMARY KEY (role_id, worker_id) ;
ALTER TABLE "public"."worker_role" ADD CONSTRAINT "worker_role_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."worker" ADD CONSTRAINT "worker_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."vatsum" ADD CONSTRAINT "vatsum_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."vat_number" ADD CONSTRAINT "vat_number_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."vat_lookup" ADD CONSTRAINT "vat_lookup_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."vat_ext" ADD CONSTRAINT "vat_ext_pkey" PRIMARY KEY (vcode) ;
ALTER TABLE "public"."vat" ADD CONSTRAINT "vat_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."valid_procedure_action" ADD CONSTRAINT "valid_procedure_action_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."user_profile" ADD CONSTRAINT "user_profile_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."user_language" ADD CONSTRAINT "user_language_pkey" PRIMARY KEY (language_code) ;
ALTER TABLE "public"."user_group" ADD CONSTRAINT "user_group_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."useddocs_head" ADD CONSTRAINT "useddocs_head_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."useddocs" ADD CONSTRAINT "useddocs_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."unpassed_reason" ADD CONSTRAINT "unpassed_reason_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."unmatched_history" ADD CONSTRAINT "unmatched_history_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."unmatched" ADD CONSTRAINT "unmatched_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."undisp" ADD CONSTRAINT "undisp_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."turnover" ADD CONSTRAINT "turnover_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."trtest" ADD CONSTRAINT "trtest_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."triggertest" ADD CONSTRAINT "triggertest_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."trigger_on" ADD CONSTRAINT "trigger_on_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."tree" ADD CONSTRAINT "tree_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."transport" ADD CONSTRAINT "transport_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."trans_out" ADD CONSTRAINT "trans_out_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."trans_in" ADD CONSTRAINT "trans_in_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."trans" ADD CONSTRAINT "trans_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."touched" ADD CONSTRAINT "touched_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."tlsledger" ADD CONSTRAINT "tlsledger_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."tlist" ADD CONSTRAINT "tlist_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."time_rec_status" ADD CONSTRAINT "time_rec_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."tender_dtwr" ADD CONSTRAINT "tender_dtwr_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."tender" ADD CONSTRAINT "tender_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."temp_notes" ADD CONSTRAINT "temp_notes_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."team_module" ADD CONSTRAINT "team_module_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."team_menu" ADD CONSTRAINT "team_menu_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."team_member" ADD CONSTRAINT "team_member_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."team" ADD CONSTRAINT "team_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."tb" ADD CONSTRAINT "tb_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."t_shadow_nltrans" ADD CONSTRAINT "t_shadow_nltrans_pkey" PRIMARY KEY (trans_no) ;
ALTER TABLE "public"."sysparams" ADD CONSTRAINT "sysparams_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sysmenus" ADD CONSTRAINT "sysmenus_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sysmenuitems" ADD CONSTRAINT "sysmenuitems_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."syslog" ADD CONSTRAINT "syslog_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."sys_config" ADD CONSTRAINT "sys_config_pkey" PRIMARY KEY (num) ;
ALTER TABLE "public"."suspend_reasons" ADD CONSTRAINT "suspend_reasons_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."survey_type_tasks" ADD CONSTRAINT "survey_type_task_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_type_task_template" ADD CONSTRAINT "survey_type_task_template_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_type_question" ADD CONSTRAINT "survey_type_question_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_type_location_question" ADD CONSTRAINT "survey_location_question_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_type_location_answer" ADD CONSTRAINT "survey_type_location_answer_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_type_equipment_required" ADD CONSTRAINT "survey_type_equipent_required_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_type_answer" ADD CONSTRAINT "survey_type_answer_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_type" ADD CONSTRAINT "survey_type_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_task_type_question" ADD CONSTRAINT "survey_task_type_question_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_task_type" ADD CONSTRAINT "survey_task_type_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_task_answer" ADD CONSTRAINT "survey_task_answer_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_status" ADD CONSTRAINT "survey_status_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_question_answer_option" ADD CONSTRAINT "survey_question_answer_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_question" ADD CONSTRAINT "survey_question_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_photo" ADD CONSTRAINT "survey_photo_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_location_task" ADD CONSTRAINT "survey_location_task_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_location" ADD CONSTRAINT "survey_location_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_equipment_required" ADD CONSTRAINT "survey_equipent_required_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_control" ADD CONSTRAINT "survey_control_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey_answer_type" ADD CONSTRAINT "survey_answer_type_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."survey" ADD CONSTRAINT "survey_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."support_detail" ADD CONSTRAINT "support_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."support" ADD CONSTRAINT "support_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."suppnotes" ADD CONSTRAINT "suppnotes_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."supplier_web_address" ADD CONSTRAINT "supplier_web_address_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."supplier_touched" ADD CONSTRAINT "supplier_touched_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."supplier_terms" ADD CONSTRAINT "supplier_terms_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."supplier_group" ADD CONSTRAINT "supplier_group_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."supplier_ext" ADD CONSTRAINT "supplier_ext_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."supplier_age" ADD CONSTRAINT "supplier_age_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."supplier" ADD CONSTRAINT "supplier_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."supp_intrastat" ADD CONSTRAINT "supp_intrastat_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."supp_bank_ext" ADD CONSTRAINT "supp_bank_ext_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."supp_bank" ADD CONSTRAINT "supp_bank_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."supp_analysis" ADD CONSTRAINT "supp_analysis_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."super_group" ADD CONSTRAINT "super_group_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sugg_remit" ADD CONSTRAINT "sugg_remit_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."sub_types" ADD CONSTRAINT "sub_types_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sub_product" ADD CONSTRAINT "sub_product_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sub_group" ADD CONSTRAINT "sub_group_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sub_category" ADD CONSTRAINT "sub_category_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."stocktyp" ADD CONSTRAINT "stocktyp_pkey" PRIMARY KEY (type) ;
ALTER TABLE "public"."stocklist" ADD CONSTRAINT "stocklist_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."stock_movement" ADD CONSTRAINT "stock_movement_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."stock_location" ADD CONSTRAINT "stock_location_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."stock_freeze" ADD CONSTRAINT "stock_freeze_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."stock_count_zone" ADD CONSTRAINT "stock_count_zone_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."stock_control" ADD CONSTRAINT "stock_control_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."stock" ADD CONSTRAINT "stock_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."stk_take_wrk" ADD CONSTRAINT "stk_take_wrk_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."stk_take" ADD CONSTRAINT "stk_take_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."stk_header" ADD CONSTRAINT "stk_header_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."stk_freeze_hdr" ADD CONSTRAINT "stk_freeze_hdr_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."stk_freeze_dtl" ADD CONSTRAINT "stk_freeze_dtl_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."stk_adj_allocation" ADD CONSTRAINT "stk_adj_allocation_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."statement_run_head" ADD CONSTRAINT "statement_run_head_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."statement_run_detail" ADD CONSTRAINT "statement_run_detail_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."statement_log" ADD CONSTRAINT "statement_log_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."stan_order" ADD CONSTRAINT "stan_order_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."stack" ADD CONSTRAINT "stack_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ssledger" ADD CONSTRAINT "ssledger_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."spool_control" ADD CONSTRAINT "spool_control_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."source" ADD CONSTRAINT "source_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."soq_xref" ADD CONSTRAINT "soq_xref_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."so_head" ADD CONSTRAINT "so_head_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."so_detail" ADD CONSTRAINT "so_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."so_dd_sale" ADD CONSTRAINT "so_dd_sale_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."so_dd_rental" ADD CONSTRAINT "so_dd_rental_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."so_dd_disposal" ADD CONSTRAINT "so_dd_disposal_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."so_dd" ADD CONSTRAINT "so_dd_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."so_ctl" ADD CONSTRAINT "so_ctl_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."smartcard" ADD CONSTRAINT "smartcard_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sledger_query" ADD CONSTRAINT "sledger_query_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."sledger_cr_map" ADD CONSTRAINT "sledger_cr_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sledger" ADD CONSTRAINT "sledger_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."sitesa" ADD CONSTRAINT "sitesa_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."siteha" ADD CONSTRAINT "siteha_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."siteda" ADD CONSTRAINT "siteda_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."site" ADD CONSTRAINT "site_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."singles_url" ADD CONSTRAINT "singles_url_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."singles_residual" ADD CONSTRAINT "singles_residual_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."singles_ext" ADD CONSTRAINT "sing_ext_ix2" PRIMARY KEY (asset_reg, pdesc, cod) ;
ALTER TABLE "public"."singles" ADD CONSTRAINT "singles_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."single_item_status" ADD CONSTRAINT "single_item_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."signs" ADD CONSTRAINT "signs_pkey" PRIMARY KEY (doc_type) ;
ALTER TABLE "public"."sigcap_queue_status" ADD CONSTRAINT "sigcapq_status_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."sigcap_queue" ADD CONSTRAINT "sicapq_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sigcap_config" ADD CONSTRAINT "sigcap_config_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."sig_cap_head" ADD CONSTRAINT "sigcapture_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."sgroups" ADD CONSTRAINT "sgroups_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sessionlock" ADD CONSTRAINT "sessionlock_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_logging" ADD CONSTRAINT "service_logging_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_log" ADD CONSTRAINT "service_log_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_enquiry_worklist_to_sigcap_queue_map" ADD CONSTRAINT "service_enquiry_worklist_to_sigcap_queue_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_enquiry_worklist_to_hmhead_map" ADD CONSTRAINT "service_enquiry_worklist_to_hmhead_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_enquiry_worklist_to_clocking_history_map" ADD CONSTRAINT "service_enquiry_worklist_to_clocking_history_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_enquiry_worklist" ADD CONSTRAINT "service_enquiry_worklist_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_enquiry_type_actions_template" ADD CONSTRAINT "service_enquiry_type_actions_template_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_enquiry_type_action_results_template" ADD CONSTRAINT "service_enquiry_type_action_results_template_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_enquiry_type" ADD CONSTRAINT "service_enquiry_type_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_enquiry_status" ADD CONSTRAINT "service_enquiry_status_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "service_enquiry_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."serial_products" ADD CONSTRAINT "serial_products_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."seqno" ADD CONSTRAINT "seqno_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sell_price" ADD CONSTRAINT "sell_price_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."sd_type" ADD CONSTRAINT "sd_type_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."sd_status" ADD CONSTRAINT "sd_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."sd_line_status" ADD CONSTRAINT "sd_line_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."sd_line" ADD CONSTRAINT "sd_line_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."scontact" ADD CONSTRAINT "scontact_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."scheduled_list" ADD CONSTRAINT "scheduled_list_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."scanned_docket_type" ADD CONSTRAINT "scanned_docket_type_pkey" PRIMARY KEY (code) ;
ALTER TABLE "public"."scaffolding_jt" ADD CONSTRAINT "scaffolding_jt_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."scaffolding_job" ADD CONSTRAINT "scaffolding_job_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."scaff_time_rec" ADD CONSTRAINT "scaff_time_rec_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."scaff_gang_map" ADD CONSTRAINT "scaff_gang_map_pkey" PRIMARY KEY (gang_id) ;
ALTER TABLE "public"."scaff_docket" ADD CONSTRAINT "scaff_docket_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."sanal" ADD CONSTRAINT "sanal_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sallocper" ADD CONSTRAINT "sallocper_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sallocer" ADD CONSTRAINT "sallocer_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sallocee" ADD CONSTRAINT "sallocee_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sales_invoice" ADD CONSTRAINT "sales_invoice_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."salecr_stk_status" ADD CONSTRAINT "salecr_stk_status_pkey" PRIMARY KEY (ihead_id) ;
ALTER TABLE "public"."sale_line_feature" ADD CONSTRAINT "sale_feature_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."sagepaytransaction" ADD CONSTRAINT "payment_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."safety" ADD CONSTRAINT "safety_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."saccess_trig" ADD CONSTRAINT "saccess_trig_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."saccess" ADD CONSTRAINT "saccess_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."s_ysales" ADD CONSTRAINT "s_ysales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."s_wsales" ADD CONSTRAINT "s_wsales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."s_msales" ADD CONSTRAINT "s_msales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."rpt_distribution" ADD CONSTRAINT "rpt_distribution_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."rpt_dist_detail" ADD CONSTRAINT "rpt_dist_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."rj_detail" ADD CONSTRAINT "rj_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."return_reason" ADD CONSTRAINT "return_reason_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."return_ok" ADD CONSTRAINT "return_ok_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."return_log" ADD CONSTRAINT "return_log_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."reserved_ac" ADD CONSTRAINT "reserved_ac_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."report" ADD CONSTRAINT "report_pkey" PRIMARY KEY (abbrev) ;
ALTER TABLE "public"."remote_depot" ADD CONSTRAINT "remote_depot_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."remittance_order" ADD CONSTRAINT "remittance_order_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."remit_date" ADD CONSTRAINT "remit_date_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."remit_control" ADD CONSTRAINT "remit_control_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."remit" ADD CONSTRAINT "remit_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."region" ADD CONSTRAINT "region_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."recurring_jrnl" ADD CONSTRAINT "recurring_jrnl_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."receipt_printers" ADD CONSTRAINT "receipt_printers_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."receipt_data" ADD CONSTRAINT "receipt_data_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."r_ysales" ADD CONSTRAINT "r_ysales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."r_wsales" ADD CONSTRAINT "r_wsales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."r_msales" ADD CONSTRAINT "r_msales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."quote_number" ADD CONSTRAINT "quote_number_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."quote" ADD CONSTRAINT "quote_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."quotation_to_sigcap_queue_map" ADD CONSTRAINT "quotsq_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."quotation_limit" ADD CONSTRAINT "quotation_limit_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."quotation" ADD CONSTRAINT "quotation_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."qhire" ADD CONSTRAINT "qhire_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."qcons" ADD CONSTRAINT "qcons_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."q_status" ADD CONSTRAINT "q_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."q_sale_feature_xref" ADD CONSTRAINT "q_sale_feature_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."q_sale" ADD CONSTRAINT "q_sale_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."q_rental" ADD CONSTRAINT "q_rental_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."q_head" ADD CONSTRAINT "q_head_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."q_disposal" ADD CONSTRAINT "q_disposal_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."q_detail" ADD CONSTRAINT "q_detail_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."putil" ADD CONSTRAINT "putil_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."purge_info" ADD CONSTRAINT "purge_info_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."punt_cash" ADD CONSTRAINT "punt_cash_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ptrans" ADD CONSTRAINT "ptrans_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."pt_ysales" ADD CONSTRAINT "pt_ysales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pt_wsales" ADD CONSTRAINT "pt_wsales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pt_web_product_order" ADD CONSTRAINT "ptwebproductorderpk" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_web_image" ADD CONSTRAINT "pt_web_image_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_web_detail" ADD CONSTRAINT "pt_web_detail_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_web_category" ADD CONSTRAINT "pt_web_category_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_web_address" ADD CONSTRAINT "pt_web_address_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_transport" ADD CONSTRAINT "pt_transport_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_supplier" ADD CONSTRAINT "pt_supplier_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pt_serial" ADD CONSTRAINT "pt_serial_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pt_seo_keywords" ADD CONSTRAINT "pt_seo_keywords_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_seo_details" ADD CONSTRAINT "pt_seo_details_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_search" ADD CONSTRAINT "pt_search_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_pdesc" ADD CONSTRAINT "pt_pdesc_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pt_part" ADD CONSTRAINT "pt_part_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pt_option" ADD CONSTRAINT "pt_option_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pt_msales" ADD CONSTRAINT "pt_msales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pt_listing" ADD CONSTRAINT "pt_listing_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_last_stock_check" ADD CONSTRAINT "pt_last_stock_check_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_job_template" ADD CONSTRAINT "pt_job_template_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_itemdesc" ADD CONSTRAINT "pt_itemdesc_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_intrastat" ADD CONSTRAINT "pt_intrastat_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_feature" ADD CONSTRAINT "pt_feature_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_dimension" ADD CONSTRAINT "pt_dimension_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pt_bundle_item" ADD CONSTRAINT "pt_bundle_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pt_bin_loc" ADD CONSTRAINT "pt_bin_loc_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pstock_history" ADD CONSTRAINT "pstock_history_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pstock" ADD CONSTRAINT "pstock_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."psearch" ADD CONSTRAINT "psearch_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."prynter" ADD CONSTRAINT "prynter_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."project_site_comments" ADD CONSTRAINT "project_site_comments_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."project_cost_category" ADD CONSTRAINT "project_cost_category_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."project" ADD CONSTRAINT "project_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."profile_detail" ADD CONSTRAINT "profile_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."profile" ADD CONSTRAINT "profile_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."product_type_trig" ADD CONSTRAINT "product_type_trig_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."product_type_lang" ADD CONSTRAINT "pt_lang_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."product_type" ADD CONSTRAINT "product_type_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."product_supplier" ADD CONSTRAINT "product_supplier_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."product" ADD CONSTRAINT "product_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."prod_search" ADD CONSTRAINT "prod_search_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."prod_feature" ADD CONSTRAINT "prod_feature_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."process_run" ADD CONSTRAINT "process_run_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."process_lastrun" ADD CONSTRAINT "process_lastrun_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."procedure_description" ADD CONSTRAINT "procedure_description_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."printer_trigger" ADD CONSTRAINT "printer_trigger_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pricelist_types" ADD CONSTRAINT "pk_pricelist_types" PRIMARY KEY (type) ;
ALTER TABLE "public"."pricelist_det" ADD CONSTRAINT "pricelist_det_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pricelist" ADD CONSTRAINT "pk_pricelist" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."price_det_hist" ADD CONSTRAINT "price_det_hist_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pparams" ADD CONSTRAINT "pparams_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."policy" ADD CONSTRAINT "policy_pkey" PRIMARY KEY (nam) ;
ALTER TABLE "public"."pohanal" ADD CONSTRAINT "pohanal_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."po_status" ADD CONSTRAINT "po_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."po_head" ADD CONSTRAINT "po_head_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."po_detail_ext" ADD CONSTRAINT "po_detail_ext_pkey" PRIMARY KEY (pod_id) ;
ALTER TABLE "public"."po_detail" ADD CONSTRAINT "po_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."po_control" ADD CONSTRAINT "po_control_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pmsg" ADD CONSTRAINT "pmsg_pkey" PRIMARY KEY (msg_typ) ;
ALTER TABLE "public"."pmoves" ADD CONSTRAINT "pmoves_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pmap" ADD CONSTRAINT "pmap_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."plnlxref" ADD CONSTRAINT "plnlxref_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pledgerext" ADD CONSTRAINT "ix754_1" PRIMARY KEY (pledger_ser) ;
ALTER TABLE "public"."pledger_nltrans" ADD CONSTRAINT "pledger_nltrans_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pledger" ADD CONSTRAINT "pledger_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."plant_status" ADD CONSTRAINT "plant_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."plant_search" ADD CONSTRAINT "plant_search_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."plant_movement_type" ADD CONSTRAINT "pmove_type_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."pid_reasons" ADD CONSTRAINT "pid_reasons_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pi_status" ADD CONSTRAINT "pi_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pi_head" ADD CONSTRAINT "pi_head_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pi_detail" ADD CONSTRAINT "pi_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."phistory" ADD CONSTRAINT "phistory_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."pgmreports" ADD CONSTRAINT "pgmreports_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pgmfavorites" ADD CONSTRAINT "pgmfavorites_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."person" ADD CONSTRAINT "person_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."period_map" ADD CONSTRAINT "period_map_pkey" PRIMARY KEY (period) ;
ALTER TABLE "public"."pdsearch" ADD CONSTRAINT "pdsearch_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pdgroups" ADD CONSTRAINT "pdgroups_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pdetails_ext" ADD CONSTRAINT "pdetails_ext_pkey" PRIMARY KEY (pdetails_ser) ;
ALTER TABLE "public"."pdetails" ADD CONSTRAINT "pdetails_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."pdesc_web_address" ADD CONSTRAINT "pdesc_web_address_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pdesc_trig" ADD CONSTRAINT "pdesc_trig_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pdesc_safety_msg" ADD CONSTRAINT "pdesc_safety_msg_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pdesc_residual" ADD CONSTRAINT "pdesc_residual_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pdesc_parts" ADD CONSTRAINT "pdesc_parts_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pdesc_group" ADD CONSTRAINT "pdesc_group_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pdesc_ext" ADD CONSTRAINT "pdesc_ext_ix1" PRIMARY KEY (pdesc) ;
ALTER TABLE "public"."pdesc_default_dtwr" ADD CONSTRAINT "pdesc_default_dtwr_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pdesc" ADD CONSTRAINT "pdesc_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pcostxref" ADD CONSTRAINT "pcostxref_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pcost_product_type_map" ADD CONSTRAINT "pcost_product_type_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pcost_history" ADD CONSTRAINT "pcost_history_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pcost_ctrl" ADD CONSTRAINT "pcost_ctrl_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pcost" ADD CONSTRAINT "pcost_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."pciod_allocation" ADD CONSTRAINT "pciod_allocation_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pccdetails" ADD CONSTRAINT "pccdetails_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."pc_iodetail" ADD CONSTRAINT "pc_iodetail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pc_ihead" ADD CONSTRAINT "pc_ihead_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pc_ihdetail" ADD CONSTRAINT "pc_ihdetail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pc_iddetail" ADD CONSTRAINT "pc_iddetail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pc_depot" ADD CONSTRAINT "pc_depot_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pavail" ADD CONSTRAINT "pavail_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."part_name" ADD CONSTRAINT "part_name_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pallocper" ADD CONSTRAINT "pk_pallocper" PRIMARY KEY (allocation) ;
ALTER TABLE "public"."pallocex" ADD CONSTRAINT "pk_pallocex" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."pallocer" ADD CONSTRAINT "pallocer_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."pallocee" ADD CONSTRAINT "pallocee_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."p_ysales" ADD CONSTRAINT "p_ysales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."p_wsales" ADD CONSTRAINT "p_wsales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."p_vat_rate" ADD CONSTRAINT "p_vat_rate_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."p_msales" ADD CONSTRAINT "p_msales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."p_model" ADD CONSTRAINT "p_model_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."p_controls" ADD CONSTRAINT "p_controls_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."override_document_address" ADD CONSTRAINT "override_document_address_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."our_bank" ADD CONSTRAINT "our_bank_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."os_report_snapshot" ADD CONSTRAINT "os_report_snapshot_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ordered_by" ADD CONSTRAINT "ordered_by_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."order_regime" ADD CONSTRAINT "order_regime_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."order_pass" ADD CONSTRAINT "order_pass_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."order_name" ADD CONSTRAINT "order_name_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."opportunity_status" ADD CONSTRAINT "opportunity_status_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."opportunity_sale" ADD CONSTRAINT "opportunity_sale_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."opportunity_rental" ADD CONSTRAINT "opportunity_rental_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."opportunity_disposal" ADD CONSTRAINT "opportunity_disposal_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."opportunity" ADD CONSTRAINT "opportunity_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."operator_to_android_device_map" ADD CONSTRAINT "operator_to_android_device_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."operator_roles" ADD CONSTRAINT "operator_roles_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."operator_metadata" ADD CONSTRAINT "operator_metadata_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."operator" ADD CONSTRAINT "pk_operator" PRIMARY KEY (cod) ;
ALTER TABLE "public"."op_permissions" ADD CONSTRAINT "op_permissions_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."offhire_request_head" ADD CONSTRAINT "offhire_req__head_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."offhire_request_detail" ADD CONSTRAINT "offreqdet_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."o_sale_location" ADD CONSTRAINT "o_sale_location_pkey" PRIMARY KEY (o_sale_id) ;
ALTER TABLE "public"."o_sale_feature_xref" ADD CONSTRAINT "o_sale_feature_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."o_sale" ADD CONSTRAINT "o_sale_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."o_rental_location" ADD CONSTRAINT "o_rental_location_pkey" PRIMARY KEY (o_rental_id) ;
ALTER TABLE "public"."o_rental" ADD CONSTRAINT "o_rental_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."o_allocation" ADD CONSTRAINT "o_allocation_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."nsearch" ADD CONSTRAINT "nsearch_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."note_group" ADD CONSTRAINT "note_group_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."note" ADD CONSTRAINT "ux_note" PRIMARY KEY (seq, lin) ;
ALTER TABLE "public"."non_disc_item" ADD CONSTRAINT "non_disc_item_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."nominal_lookup" ADD CONSTRAINT "nominal_lookup_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."nominal" ADD CONSTRAINT "nominal_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."nltrans_hist" ADD CONSTRAINT "nltrans_hist_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."nltrans_ext" ADD CONSTRAINT "nltrans_ext_pkey" PRIMARY KEY (nltrans_no) ;
ALTER TABLE "public"."nltrans_disp" ADD CONSTRAINT "nltrans_disp_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."nltrans" ADD CONSTRAINT "nltrans_pkey" PRIMARY KEY (trans_no) ;
ALTER TABLE "public"."nlperiods" ADD CONSTRAINT "nlperiods_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."nlmap" ADD CONSTRAINT "nlmap_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."nlbatch" ADD CONSTRAINT "nlbatch_pkey" PRIMARY KEY (source, seq) ;
ALTER TABLE "public"."nlbals" ADD CONSTRAINT "nlbals_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."next_bcode" ADD CONSTRAINT "next_bcode_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."movement_typ" ADD CONSTRAINT "movement_typ_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."module" ADD CONSTRAINT "module_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."mobile_sales_detail" ADD CONSTRAINT "mobile_sales_det_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."mobile_return_text" ADD CONSTRAINT "mobile_return_text_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."mobile_return_status" ADD CONSTRAINT "mobile_return_status_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."mobile_return_signature" ADD CONSTRAINT "mobile_return_dignature_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."mobile_return_image" ADD CONSTRAINT "mobile_return_image_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."mobile_return_driver_text" ADD CONSTRAINT "mobile_return_driver_text_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."mobile_return_detail" ADD CONSTRAINT "mobile_return_det_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."mobile_return" ADD CONSTRAINT "mobile_return_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."mirror_message" ADD CONSTRAINT "mirror_message_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."mirror_key" ADD CONSTRAINT "mirror_key_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."mirror" ADD CONSTRAINT "mirror_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."menu_item_pass" ADD CONSTRAINT "menu_item_pass_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."menu_item_mask" ADD CONSTRAINT "menu_item_mask_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."matchxref" ADD CONSTRAINT "matchxref_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."master_category" ADD CONSTRAINT "master_category_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."loyalty_threshold" ADD CONSTRAINT "loyalty_threshold_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."loyalty_rewards" ADD CONSTRAINT "loyalty_rewards_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."loyalty_member" ADD CONSTRAINT "loyalty_member_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."loyalty_control" ADD CONSTRAINT "loyalty_control_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."lodgement" ADD CONSTRAINT "lodgement_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."lockrows" ADD CONSTRAINT "lockrows_pkey" PRIMARY KEY (key) ;
ALTER TABLE "public"."lock_log" ADD CONSTRAINT "lock_log_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."load_notes" ADD CONSTRAINT "load_notes_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."load_custsite" ADD CONSTRAINT "load_custsite_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."load_chead" ADD CONSTRAINT "load_chead_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."line_type" ADD CONSTRAINT "line_type_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."line_status" ADD CONSTRAINT "line_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."licence" ADD CONSTRAINT "licence_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."jw_message" ADD CONSTRAINT "jw_message_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."journals" ADD CONSTRAINT "journals_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."job_certificate_text" ADD CONSTRAINT "job_text_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."jfreeinvsum" ADD CONSTRAINT "jfreeinvsum_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."jfplist" ADD CONSTRAINT "jfplist_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."jdetails" ADD CONSTRAINT "jdetails_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."java_columns" ADD CONSTRAINT "java_columns_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."issuers" ADD CONSTRAINT "issuers_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."iohhire_to_iohchdetail_map" ADD CONSTRAINT "iohhire_to_iohchdetail_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ioh_sale_feature_xref" ADD CONSTRAINT "ioh_sale_feature_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ioh_sale" ADD CONSTRAINT "ioh_sale_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ioh_hire" ADD CONSTRAINT "ioh_hire_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ioh_disp" ADD CONSTRAINT "ioh_disp_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ioh_codetail" ADD CONSTRAINT "ioh_codetail_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ioh_chdetail" ADD CONSTRAINT "ioh_chdetail_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ioh_cdisposal" ADD CONSTRAINT "ioh_cdisposal_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."iodetail_location" ADD CONSTRAINT "iodetail_location_pkey" PRIMARY KEY (iodetail_id) ;
ALTER TABLE "public"."iodetail_feature_xref" ADD CONSTRAINT "iodetail_feature_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."iodetail_dimension" ADD CONSTRAINT "iodetail_dimension_idx" PRIMARY KEY (iodetail_id) ;
ALTER TABLE "public"."iodetail" ADD CONSTRAINT "iodetail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."iod_bundle_item" ADD CONSTRAINT "iod_bundle_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."iod_allocation" ADD CONSTRAINT "iod_allocation_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."invoice_trigger" ADD CONSTRAINT "invoice_trigger_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."invoice_except" ADD CONSTRAINT "invoice_except_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."inv_globals" ADD CONSTRAINT "inv_globals_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."inv_except" ADD CONSTRAINT "inv_except_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."inv_details" ADD CONSTRAINT "inv_details_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."import_map" ADD CONSTRAINT "import_map_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."imaging_barcode" ADD CONSTRAINT "imaging_barcode_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."image_type" ADD CONSTRAINT "image_type_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ihead_hmhead_map" ADD CONSTRAINT "ihead_hmhead_map_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ihead_chead_sled" ADD CONSTRAINT "ihead_chead_sled_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ihead" ADD CONSTRAINT "ihead_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ihdetail_location" ADD CONSTRAINT "ihdetail_location_pkey" PRIMARY KEY (ihdetail_id) ;
ALTER TABLE "public"."ihdetail_charge_lines_map" ADD CONSTRAINT "ihdetail_charge_lines_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ihdetail" ADD CONSTRAINT "ihdetail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."iddetail" ADD CONSTRAINT "iddetail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."hrates_trig" ADD CONSTRAINT "hrates_trig_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."hrates_dtwr_map" ADD CONSTRAINT "hrates_dtwr_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."hrates" ADD CONSTRAINT "hrates_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."hmsales" ADD CONSTRAINT "hmsales_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."hmhead_ext" ADD CONSTRAINT "hmhead_ext_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."hmhead" ADD CONSTRAINT "hmhead_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."hmdisposal" ADD CONSTRAINT "hmdisposal_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."hmdetail_meterreading_map" ADD CONSTRAINT "hmdetail_meterreading_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."hmdetail" ADD CONSTRAINT "hmdetail_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."hm_rental" ADD CONSTRAINT "hm_rental_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."hireperiod" ADD CONSTRAINT "hireperiod_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."hire_disc_detail" ADD CONSTRAINT "h_disc_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."hire_dept_group" ADD CONSTRAINT "hire_dept_group_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."hire_dept" ADD CONSTRAINT "hire_dept_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."headradvice" ADD CONSTRAINT "headradvice_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."hanal" ADD CONSTRAINT "hanal_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."haccess_trig" ADD CONSTRAINT "haccess_trig_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."haccess" ADD CONSTRAINT "haccess_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."h_order_pass" ADD CONSTRAINT "h_order_pass_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."grn_hire" ADD CONSTRAINT "grn_hire_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."grn_head" ADD CONSTRAINT "grn_head_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."grn_cons" ADD CONSTRAINT "grn_cons_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."gpcost" ADD CONSTRAINT "gpcost_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."gi_head" ADD CONSTRAINT "gi_head_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."gi_detail" ADD CONSTRAINT "pk_gi_detail" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."gen_plist_head" ADD CONSTRAINT "gen_plist_head_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."gen_plist_detail" ADD CONSTRAINT "gen_plist_detail_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."gcal_control" ADD CONSTRAINT "gcal_control_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."gang" ADD CONSTRAINT "gang_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."g_ysales" ADD CONSTRAINT "g_ysales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."g_wsales" ADD CONSTRAINT "g_wsales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."g_msales" ADD CONSTRAINT "g_msales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."g_ihead" ADD CONSTRAINT "g_ihead_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."full_chead" ADD CONSTRAINT "full_chead_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."fuel" ADD CONSTRAINT "fuel_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."freeze_gid" ADD CONSTRAINT "freeze_gid_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."fleet_gid_xref" ADD CONSTRAINT "fleet_gid_xref_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."first_of_month" ADD CONSTRAINT "date" PRIMARY KEY (date) ;
ALTER TABLE "public"."feature" ADD CONSTRAINT "feature_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."exclusion_remit" ADD CONSTRAINT "exclusion_remit_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."except" ADD CONSTRAINT "except_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."excel_period" ADD CONSTRAINT "excel_period_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."excel_cc" ADD CONSTRAINT "excel_cc_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."euro_cust" ADD CONSTRAINT "euro_cust_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."euro_control" ADD CONSTRAINT "euro_control_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."euro_cash" ADD CONSTRAINT "euro_cash_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."escpos_font" ADD CONSTRAINT "escpos_font_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."errorloggingservice" ADD CONSTRAINT "errorloggingservice_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."eft_list" ADD CONSTRAINT "eft_list_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."eft_control" ADD CONSTRAINT "eft_control_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."driver" ADD CONSTRAINT "driver_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."dparams" ADD CONSTRAINT "dparams_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."document_request_type" ADD CONSTRAINT "doc_req_type_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."document_bean_queue" ADD CONSTRAINT "document_bean_queue_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."docket_trigger" ADD CONSTRAINT "docket_trigger_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."dispxref" ADD CONSTRAINT "dispxref_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."disptypes" ADD CONSTRAINT "disptypes_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."disposals" ADD CONSTRAINT "disposals_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."disp" ADD CONSTRAINT "disp_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."disc_struct" ADD CONSTRAINT "disc_struct_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."disc_detail" ADD CONSTRAINT "disc_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."dept_group" ADD CONSTRAINT "dept_group_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."dept" ADD CONSTRAINT "dept_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."depot_ext" ADD CONSTRAINT "depot_ext_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."depot" ADD CONSTRAINT "depot_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."default_profile" ADD CONSTRAINT "default_profile_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ddso_xref" ADD CONSTRAINT "ddso_xref_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ddoc_head" ADD CONSTRAINT "ddoc_head_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ddoc_detail" ADD CONSTRAINT "ddoc_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ddc_xref" ADD CONSTRAINT "ddc_xref_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."dcssqlversion" ADD CONSTRAINT "dcssqlversion_pkey" PRIMARY KEY (major, minor) ;
ALTER TABLE "public"."dcsmaillog" ADD CONSTRAINT "dcsmaillog_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."day_to_week_ratio_hdr" ADD CONSTRAINT "day_to_week_ratio_hdr_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."day_to_week_ratio_dtl" ADD CONSTRAINT "day_to_week_ratio_dtl_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."databasebuild" ADD CONSTRAINT "databasebuild_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."danal" ADD CONSTRAINT "danal_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."d_ysales" ADD CONSTRAINT "d_ysales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."d_wsales" ADD CONSTRAINT "d_wsales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."d_msales" ADD CONSTRAINT "d_msales_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."d_base" ADD CONSTRAINT "d_base_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."custsite_trig" ADD CONSTRAINT "custsite_trig_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."custsite_ext" ADD CONSTRAINT "custsite_ext_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."custsite" ADD CONSTRAINT "custsite_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."custquot" ADD CONSTRAINT "custquot_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."customercardtoken" ADD CONSTRAINT "customercard_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."customer_url" ADD CONSTRAINT "customer_url_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."customer_request_status" ADD CONSTRAINT "cust_req_status_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."customer_request_head" ADD CONSTRAINT "customer_req_head_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."customer_request_equipment" ADD CONSTRAINT "creqdet_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."customer_location" ADD CONSTRAINT "customer_location_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."customer_class" ADD CONSTRAINT "customer_class_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."custlist" ADD CONSTRAINT "custlist_idx" PRIMARY KEY (cust, depot, list_name) ;
ALTER TABLE "public"."custid" ADD CONSTRAINT "custid_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."custbals" ADD CONSTRAINT "custbals_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cust_trig" ADD CONSTRAINT "cust_trig_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cust_status_hist" ADD CONSTRAINT "cust_status_hist_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cust_status" ADD CONSTRAINT "cust_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cust_pricelist" ADD CONSTRAINT "cust_pricelist_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cust_order_to_sigcap_queue_map" ADD CONSTRAINT "cotsq_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."cust_order_to_person_map" ADD CONSTRAINT "custordertopersonmappk" PRIMARY KEY (id) ;
ALTER TABLE "public"."cust_order_gcal" ADD CONSTRAINT "cust_order_gcal_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cust_ext" ADD CONSTRAINT "cust_ext_idx" PRIMARY KEY (cod, depot) ;
ALTER TABLE "public"."cust_discstruct" ADD CONSTRAINT "cust_discstruct_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cust_cc_details" ADD CONSTRAINT "cust_cc_detailskey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cust_category" ADD CONSTRAINT "cust_category_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cust_age" ADD CONSTRAINT "cust_age_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cust" ADD CONSTRAINT "cust_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."current_lock" ADD CONSTRAINT "current_lock_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."currency_rates" ADD CONSTRAINT "currency_rates_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."currency" ADD CONSTRAINT "currency_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."cumulative_stock_count" ADD CONSTRAINT "cumulative_stock_count_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."csuspend" ADD CONSTRAINT "csuspend_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."csearch" ADD CONSTRAINT "csearch_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."crnote_reason" ADD CONSTRAINT "crnote_reason_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."credit_letter_text" ADD CONSTRAINT "letter_text_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."credit_hist" ADD CONSTRAINT "credit_hist_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."crates" ADD CONSTRAINT "crates_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cr_typ" ADD CONSTRAINT "cr_typ_pkey" PRIMARY KEY (typ) ;
ALTER TABLE "public"."cr_activity" ADD CONSTRAINT "cr_activity_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cp_details" ADD CONSTRAINT "cp_details_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."country_state_code" ADD CONSTRAINT "country_state_code_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."country_code" ADD CONSTRAINT "country_code_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cost_price" ADD CONSTRAINT "cost_price_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."corder_ihead_map" ADD CONSTRAINT "corder_ihead_map_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."conv_supplier" ADD CONSTRAINT "conv_supplier_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."conv_customer" ADD CONSTRAINT "conv_customer_pkey" PRIMARY KEY (old_code) ;
ALTER TABLE "public"."control" ADD CONSTRAINT "control_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."contract_suspend" ADD CONSTRAINT "contract_suspend_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."contact_type" ADD CONSTRAINT "contact_type_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."contact_trig" ADD CONSTRAINT "contact_trig_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."contact_to_contact_detail_map" ADD CONSTRAINT "contact_to_contact_detail_map_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."contact_photo" ADD CONSTRAINT "contactPhotoPK" PRIMARY KEY (id) ;
ALTER TABLE "public"."contact_detail_category" ADD CONSTRAINT "contact_detail_category_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."contact_detail" ADD CONSTRAINT "contact_detail_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."contact" ADD CONSTRAINT "contact_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."con_notes" ADD CONSTRAINT "con_notes_pkey" PRIMARY KEY (contract) ;
ALTER TABLE "public"."con_except" ADD CONSTRAINT "con_except_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."company" ADD CONSTRAINT "company_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."codetail_package_link" ADD CONSTRAINT "codetail_package_link_idx" PRIMARY KEY (lin, contract, location) ;
ALTER TABLE "public"."codetail_location" ADD CONSTRAINT "codetail_location_pkey" PRIMARY KEY (location, contract, lin) ;
ALTER TABLE "public"."codetail_feature_xref" ADD CONSTRAINT "codetail_feature_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."codetail_dimension" ADD CONSTRAINT "codetail_dimension_idx" PRIMARY KEY (lin, contract, location) ;
ALTER TABLE "public"."codetail" ADD CONSTRAINT "codetail_pkey" PRIMARY KEY (location, contract, lin) ;
ALTER TABLE "public"."cod_bundle_item" ADD CONSTRAINT "cod_bundle_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cod_allocation" ADD CONSTRAINT "cod_allocation_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cn_pid_xref" ADD CONSTRAINT "cn_pid_xref_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cn_head" ADD CONSTRAINT "cn_head_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cn_detail" ADD CONSTRAINT "cn_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."clocking_history" ADD CONSTRAINT "clocking_history_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."clocked_event" ADD CONSTRAINT "clocked_event_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cheque_xref" ADD CONSTRAINT "cheque_xref_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cheque_run" ADD CONSTRAINT "cheque_run_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."cheque_print_ctl" ADD CONSTRAINT "cheque_print_ctl_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cheque_history" ADD CONSTRAINT "cheque_history_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cheque_hist_det" ADD CONSTRAINT "cheque_hist_det_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cheadext" ADD CONSTRAINT "cheadext_idx" PRIMARY KEY (contract, location) ;
ALTER TABLE "public"."chead_trig" ADD CONSTRAINT "chead_trig_pkey" PRIMARY KEY (contract, location) ;
ALTER TABLE "public"."chead_to_person_map" ADD CONSTRAINT "cheadtopersonmappk" PRIMARY KEY (id) ;
ALTER TABLE "public"."chead" ADD CONSTRAINT "chead_pkey" PRIMARY KEY (location, contract) ;
ALTER TABLE "public"."chdetailext" ADD CONSTRAINT "chdetailext_idx" PRIMARY KEY (lin, contract, location) ;
ALTER TABLE "public"."chdetail_location" ADD CONSTRAINT "chdetail_location_pkey" PRIMARY KEY (location, contract, lin) ;
ALTER TABLE "public"."chdetail_dtwr" ADD CONSTRAINT "chdetail_dtwr_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."chdetail" ADD CONSTRAINT "chdetx1" PRIMARY KEY (id) ;
ALTER TABLE "public"."charge_rate" ADD CONSTRAINT "charge_rate_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."charge_lines_dtwr_map" ADD CONSTRAINT "charge_lines_dtwr_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."charge_lines" ADD CONSTRAINT "charge_lines_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."certificate_to_ws_job_template_map" ADD CONSTRAINT "ctwjt_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."cdisposal" ADD CONSTRAINT "cdisposal_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ccentre" ADD CONSTRAINT "ccentre_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."cc_status" ADD CONSTRAINT "cc_status_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cc_head" ADD CONSTRAINT "cc_head_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."cc_detail" ADD CONSTRAINT "cc_detail_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."category_type" ADD CONSTRAINT "category_type_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."category_tree" ADD CONSTRAINT "category_tree_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."category" ADD CONSTRAINT "category_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."cash" ADD CONSTRAINT "cash_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."call_queue" ADD CONSTRAINT "call_queue_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."calendar" ADD CONSTRAINT "calix2" PRIMARY KEY (nam, dat) ;
ALTER TABLE "public"."calc_chead" ADD CONSTRAINT "calc_chead_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."c_quote" ADD CONSTRAINT "c_quote_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."brand" ADD CONSTRAINT "brand_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."bottleneck" ADD CONSTRAINT "bottleneck_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."bin_location" ADD CONSTRAINT "bin_location_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."barcode_trig" ADD CONSTRAINT "barcode_trig_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."barcode" ADD CONSTRAINT "barcode_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."banknlxref" ADD CONSTRAINT "banknlxref_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."bank_rec" ADD CONSTRAINT "bank_rec_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."bank_accounts" ADD CONSTRAINT "bank_accounts_idx" PRIMARY KEY (currency_id, cod) ;
ALTER TABLE "public"."back_up" ADD CONSTRAINT "back_up_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."automatic_cheque" ADD CONSTRAINT "automatic_cheque_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."auto_lodgement" ADD CONSTRAINT "auto_lodgement_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."authors" ADD CONSTRAINT "authors_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."authorized_actions" ADD CONSTRAINT "authorized_actions_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."audit_sledger" ADD CONSTRAINT "audit_sledger_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_roll" ADD CONSTRAINT "audit_roll_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."audit_pledgerext" ADD CONSTRAINT "audit_pledgerext_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_pledger" ADD CONSTRAINT "audit_pledger_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_pdetails" ADD CONSTRAINT "audit_pdetails_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_pccdetails" ADD CONSTRAINT "audit_pccdetails_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_iodetail" ADD CONSTRAINT "audit_iodetail_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_ihead" ADD CONSTRAINT "audit_ihead_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_ihdetail" ADD CONSTRAINT "audit_ihdetail_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_iddetail" ADD CONSTRAINT "audit_iddetail_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_cust_ext" ADD CONSTRAINT "audit_cust_ext_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_cust" ADD CONSTRAINT "audit_cust_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_codetail" ADD CONSTRAINT "audit_codetail_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_chead" ADD CONSTRAINT "audit_chead_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_chdetailext" ADD CONSTRAINT "audit_chdetailext_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_chdetail" ADD CONSTRAINT "audit_chdetail_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."audit_cdisposal" ADD CONSTRAINT "audit_cdisposal_pkey" PRIMARY KEY (audit_nsuk) ;
ALTER TABLE "public"."asset_reg" ADD CONSTRAINT "asset_reg_pkey" PRIMARY KEY (cod) ;
ALTER TABLE "public"."archive_sugg_remit" ADD CONSTRAINT "archive_sugg_remit_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."archive_excl_remit" ADD CONSTRAINT "archive_excl_remit_pkey" PRIMARY KEY (ser) ;
ALTER TABLE "public"."archive_eft_list" ADD CONSTRAINT "archive_eft_list_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."answer_type_options" ADD CONSTRAINT "answer_type_options_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."answer_type" ADD CONSTRAINT "answer_type_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."android_device_type" ADD CONSTRAINT "android_type_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."android_device" ADD CONSTRAINT "android_dev_pk" PRIMARY KEY (id) ;
ALTER TABLE "public"."analysis_calendar" ADD CONSTRAINT "analysis_calendar_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."ageing_touched" ADD CONSTRAINT "ageing_touched_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."adj_open_ctl" ADD CONSTRAINT "adj_open_ctl_pkey" PRIMARY KEY (nsuk) ;
ALTER TABLE "public"."actor_to_operator_map" ADD CONSTRAINT "actor_to_operator_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."action_type" ADD CONSTRAINT "action_type_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."action_status_event" ADD CONSTRAINT "action_status_event_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."action_status" ADD CONSTRAINT "action_status_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."action_result_type" ADD CONSTRAINT "action_result_type_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."action_result" ADD CONSTRAINT "action_result_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."action_priority" ADD CONSTRAINT "action_priority_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."action_cust_opportunity_map" ADD CONSTRAINT "action_cust_opportunity_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."action" ADD CONSTRAINT "action_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."actee_map" ADD CONSTRAINT "actee_map_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."account_groups" ADD CONSTRAINT "agix1" PRIMARY KEY (master_depot, master_cust, slave_depot, slave_cust) ;
ALTER TABLE "public"."access_plant" ADD CONSTRAINT "access_plant_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."access_depot" ADD CONSTRAINT "access_depot_pkey" PRIMARY KEY (id) ;
ALTER TABLE "public"."ws_meter" ADD CONSTRAINT "ws_meter_product_type_fk" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."ws_job_to_sigcap_queue_map" ADD CONSTRAINT "wtsm_ws_job_fk" FOREIGN KEY (ws_job_id) REFERENCES ws_job(nsuk) ;
ALTER TABLE "public"."ws_job_to_sigcap_queue_map" ADD CONSTRAINT "wtsm_sigcap_queue_fk" FOREIGN KEY (sigcap_queue_id) REFERENCES sigcap_queue(id) ;
ALTER TABLE "public"."ws_job_template_to_ws_named_meter_map" ADD CONSTRAINT "wjt_to_wnm_map_to_wnm" FOREIGN KEY (ws_named_meter_id) REFERENCES ws_named_meter(nsuk) ;
ALTER TABLE "public"."ws_job_template_to_ws_named_meter_map" ADD CONSTRAINT "wjt_to_wnm_map_to_wjt" FOREIGN KEY (ws_job_template_id) REFERENCES ws_job_template(nsuk) ;
ALTER TABLE "public"."ws_job_pser_map" ADD CONSTRAINT "ws_job_pser_map_fk1" FOREIGN KEY (pt_ser_id) REFERENCES pt_serial(nsuk) ;
ALTER TABLE "public"."ws_job_pser_map" ADD CONSTRAINT "ws_job_pser_map_fk" FOREIGN KEY (job_id) REFERENCES ws_job(nsuk) ;
ALTER TABLE "public"."ws_job_ext" ADD CONSTRAINT "ws_job_ext_fk2" FOREIGN KEY (contact_id) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."ws_job_ext" ADD CONSTRAINT "ws_job_ext_fk1" FOREIGN KEY (ws_job_id) REFERENCES ws_job(nsuk) ;
ALTER TABLE "public"."ws_job_cser_map" ADD CONSTRAINT "ws_job_cser_map_fk1" FOREIGN KEY (cust_ser_id) REFERENCES ws_cust_serial(nsuk) ;
ALTER TABLE "public"."ws_job_cser_map" ADD CONSTRAINT "ws_job_cser_map_fk" FOREIGN KEY (job_id) REFERENCES ws_job(nsuk) ;
ALTER TABLE "public"."ws_job_barcode_map" ADD CONSTRAINT "FK_ws_job_barcode_map2" FOREIGN KEY (image_barcode_id) REFERENCES imaging_barcode(nsuk) ;
ALTER TABLE "public"."ws_job_barcode_map" ADD CONSTRAINT "FK_ws_job_barcode_map" FOREIGN KEY (ws_job_id) REFERENCES ws_job(nsuk) ;
ALTER TABLE "public"."ws_job" ADD CONSTRAINT "ws_job_fk" FOREIGN KEY (engineer) REFERENCES worker(nsuk) ;
ALTER TABLE "public"."ws_engineer_time_by_date" ADD CONSTRAINT "FK_ws_engineer_time_by_date3" FOREIGN KEY (job) REFERENCES ws_job(nsuk) ;
ALTER TABLE "public"."ws_engineer_time_by_date" ADD CONSTRAINT "FK_ws_engineer_time_by_date2" FOREIGN KEY (engineer) REFERENCES worker(nsuk) ;
ALTER TABLE "public"."ws_engineer_time_by_date" ADD CONSTRAINT "FK_ws_engineer_time_by_date1" FOREIGN KEY (task) REFERENCES ws_job_tasks(nsuk) ;
ALTER TABLE "public"."ws_cust_serial" ADD CONSTRAINT "ws_cust_serial_fk1" FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."ws_cust_serial" ADD CONSTRAINT "ws_cust_serial_fk" FOREIGN KEY (pt_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."workshop_trigger" ADD CONSTRAINT "ws_job_type_id" FOREIGN KEY (ws_job_type_id) REFERENCES ws_job_type(nsuk) ;
ALTER TABLE "public"."workshop_trigger" ADD CONSTRAINT "singles_id" FOREIGN KEY (singles_id) REFERENCES singles(id) ;
ALTER TABLE "public"."workshop_trigger" ADD CONSTRAINT "product_type_id" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."workshop_trigger" ADD CONSTRAINT "named_meter_type" FOREIGN KEY (named_meter_id) REFERENCES ws_named_meter(nsuk) ;
ALTER TABLE "public"."worker_role_map" ADD CONSTRAINT "worker_role_map_fk1" FOREIGN KEY (role_id) REFERENCES worker_role(nsuk) ;
ALTER TABLE "public"."worker_role_map" ADD CONSTRAINT "worker_role_map_fk" FOREIGN KEY (worker_id) REFERENCES worker(nsuk) ;
ALTER TABLE "public"."worker" ADD CONSTRAINT "worker_fk1" FOREIGN KEY (costing_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."worker" ADD CONSTRAINT "worker_fk" FOREIGN KEY (supplier_cod) REFERENCES supplier(cod) ;
ALTER TABLE "public"."vatsum" ADD CONSTRAINT "fk_vatsum" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."vat_lookup" ADD CONSTRAINT "fk_vatlookup1" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."vat_ext" ADD CONSTRAINT "vatcode" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."valid_procedure_action" ADD CONSTRAINT "validnextactiontype" FOREIGN KEY (next_action_type_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."valid_procedure_action" ADD CONSTRAINT "validactiontype" FOREIGN KEY (action_type_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."valid_procedure_action" ADD CONSTRAINT "proceduredescr" FOREIGN KEY (procedure_description_id) REFERENCES procedure_description(id) ;
ALTER TABLE "public"."useddocs" ADD CONSTRAINT "useddocs_fk" FOREIGN KEY (header_id) REFERENCES useddocs_head(nsuk) ;
ALTER TABLE "public"."unmatched_history" ADD CONSTRAINT "unmatched_history_fk2" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."unmatched_history" ADD CONSTRAINT "unmatched_history_fk1" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."unmatched_history" ADD CONSTRAINT "fk_unmatched_history" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."unmatched" ADD CONSTRAINT "unmatched_fk2" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."unmatched" ADD CONSTRAINT "unmatched_fk1" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."turnover" ADD CONSTRAINT "fk_turnover" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."tender_dtwr" ADD CONSTRAINT "tender_dtwr_tender_id_fkey" FOREIGN KEY (tender_id) REFERENCES tender(cod) ;
ALTER TABLE "public"."tender_dtwr" ADD CONSTRAINT "tender_dtwr_day_to_week_ratio_hdr_id_fkey" FOREIGN KEY (day_to_week_ratio_hdr_id) REFERENCES day_to_week_ratio_hdr(id) ;
ALTER TABLE "public"."team_module" ADD CONSTRAINT "team_module_fk" FOREIGN KEY (team) REFERENCES team(nsuk) ;
ALTER TABLE "public"."team_menu" ADD CONSTRAINT "team_menu_fk" FOREIGN KEY (team) REFERENCES team(nsuk) ;
ALTER TABLE "public"."team_member" ADD CONSTRAINT "team_member_fk" FOREIGN KEY (team) REFERENCES team(nsuk) ;
ALTER TABLE "public"."survey_type_tasks" ADD CONSTRAINT "fk_survey_type_tasks_survey_type_id" FOREIGN KEY (survey_type_id) REFERENCES survey_type(id) ;
ALTER TABLE "public"."survey_type_tasks" ADD CONSTRAINT "fk_survey_type_tasks_survey_type" FOREIGN KEY (survey_type_id) REFERENCES survey_type(id) ;
ALTER TABLE "public"."survey_type_tasks" ADD CONSTRAINT "fk_survey_type_tasks_survey_task_type_id" FOREIGN KEY (survey_task_type_id) REFERENCES survey_task_type(id) ;
ALTER TABLE "public"."survey_type_tasks" ADD CONSTRAINT "fk_survey_type_tasks_survey_task_type" FOREIGN KEY (survey_task_type_id) REFERENCES survey_task_type(id) ;
ALTER TABLE "public"."survey_type_question" ADD CONSTRAINT "survey_type_question_survey_type_fk" FOREIGN KEY (survey_type_id) REFERENCES survey_type(id) ;
ALTER TABLE "public"."survey_type_question" ADD CONSTRAINT "survey_type_question_survey_question_fk" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_type_question" ADD CONSTRAINT "fk_survey_type_question_survey_type_id" FOREIGN KEY (survey_type_id) REFERENCES survey_type(id) ;
ALTER TABLE "public"."survey_type_question" ADD CONSTRAINT "fk_survey_type_question_survey_question_id" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_type_location_question" ADD CONSTRAINT "survey_type_location_question_survey_type_fk" FOREIGN KEY (survey_type_id) REFERENCES survey_type(id) ;
ALTER TABLE "public"."survey_type_location_question" ADD CONSTRAINT "survey_type_location_question_survey_question_fk" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_type_location_question" ADD CONSTRAINT "fk_survey_type_location_question_survey_type_id" FOREIGN KEY (survey_type_id) REFERENCES survey_type(id) ;
ALTER TABLE "public"."survey_type_location_question" ADD CONSTRAINT "fk_survey_type_location_question_survey_question_id" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_type_location_answer" ADD CONSTRAINT "survey_type_location_answer_survey_question_fk" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_type_location_answer" ADD CONSTRAINT "survey_type_location_answer_survey_location_fk" FOREIGN KEY (survey_location_id) REFERENCES survey_location(id) ON DELETE CASCADE ;
ALTER TABLE "public"."survey_type_location_answer" ADD CONSTRAINT "fk_survey_type_location_answer_survey_question_id" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_type_location_answer" ADD CONSTRAINT "fk_survey_type_location_answer_survey_location_id" FOREIGN KEY (survey_location_id) REFERENCES survey_location(id) ;
ALTER TABLE "public"."survey_type_equipment_required" ADD CONSTRAINT "survey_type_equipment_required_survey_type_fk" FOREIGN KEY (survey_type_id) REFERENCES survey_type(id) ;
ALTER TABLE "public"."survey_type_equipment_required" ADD CONSTRAINT "survey_type_equipment_required_pdesc_fk" FOREIGN KEY (pdesc_id) REFERENCES pdesc(id) ;
ALTER TABLE "public"."survey_type_equipment_required" ADD CONSTRAINT "fk_survey_type_equipment_required_survey_type_id" FOREIGN KEY (survey_type_id) REFERENCES survey_type(id) ;
ALTER TABLE "public"."survey_type_equipment_required" ADD CONSTRAINT "fk_survey_type_equipment_required_pdesc_id" FOREIGN KEY (pdesc_id) REFERENCES pdesc(id) ;
ALTER TABLE "public"."survey_type_answer" ADD CONSTRAINT "survey_type_answer_survey_question_fk" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_type_answer" ADD CONSTRAINT "survey_type_answer_survey_fk" FOREIGN KEY (survey_id) REFERENCES survey(id) ON DELETE CASCADE ;
ALTER TABLE "public"."survey_type_answer" ADD CONSTRAINT "fk_survey_type_answer_survey_question_id" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_type_answer" ADD CONSTRAINT "fk_survey_type_answer_survey_id" FOREIGN KEY (survey_id) REFERENCES survey(id) ;
ALTER TABLE "public"."survey_task_type_question" ADD CONSTRAINT "fk_survey_task_type_question_survey_task_type_id" FOREIGN KEY (survey_task_type_id) REFERENCES survey_task_type(id) ;
ALTER TABLE "public"."survey_task_type_question" ADD CONSTRAINT "fk_survey_task_type_question_survey_task_type" FOREIGN KEY (survey_task_type_id) REFERENCES survey_task_type(id) ;
ALTER TABLE "public"."survey_task_type_question" ADD CONSTRAINT "fk_survey_task_type_question_survey_question_id" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_task_type_question" ADD CONSTRAINT "fk_survey_task_type_question_survey_question" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_task_answer" ADD CONSTRAINT "survey_task_answer_survey_location_task_fk" FOREIGN KEY (survey_location_task_id) REFERENCES survey_location_task(id) ON DELETE CASCADE ;
ALTER TABLE "public"."survey_task_answer" ADD CONSTRAINT "fk_survey_task_answer_survey_question_id" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_task_answer" ADD CONSTRAINT "fk_survey_task_answer_survey_location_task_id" FOREIGN KEY (survey_location_task_id) REFERENCES survey_location_task(id) ;
ALTER TABLE "public"."survey_task_answer" ADD CONSTRAINT "fk_survey_answer_survey_question" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_question_answer_option" ADD CONSTRAINT "fk_survey_question_answer_option_survey_question_id" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_question_answer_option" ADD CONSTRAINT "fk_survey_question_answer_option_survey_question" FOREIGN KEY (survey_question_id) REFERENCES survey_question(id) ;
ALTER TABLE "public"."survey_question" ADD CONSTRAINT "fk_survey_question_survey_answer_type_id" FOREIGN KEY (survey_answer_type_id) REFERENCES survey_answer_type(id) ;
ALTER TABLE "public"."survey_question" ADD CONSTRAINT "fk_survey_question_answer_type" FOREIGN KEY (survey_answer_type_id) REFERENCES survey_answer_type(id) ;
ALTER TABLE "public"."survey_photo" ADD CONSTRAINT "fk_survey_photo_survey_location_task_id" FOREIGN KEY (survey_location_task_id) REFERENCES survey_location_task(id) ;
ALTER TABLE "public"."survey_photo" ADD CONSTRAINT "fk_survey_photo_survey_location_task" FOREIGN KEY (survey_location_task_id) REFERENCES survey_location_task(id) ON DELETE CASCADE ;
ALTER TABLE "public"."survey_location_task" ADD CONSTRAINT "fk_survey_task_survey_type_tasks" FOREIGN KEY (survey_type_tasks_id) REFERENCES survey_type_tasks(id) ;
ALTER TABLE "public"."survey_location_task" ADD CONSTRAINT "fk_survey_task_survey_location" FOREIGN KEY (survey_location_id) REFERENCES survey_location(id) ON DELETE CASCADE ;
ALTER TABLE "public"."survey_location_task" ADD CONSTRAINT "fk_survey_location_task_survey_type_tasks_id" FOREIGN KEY (survey_type_tasks_id) REFERENCES survey_type_tasks(id) ;
ALTER TABLE "public"."survey_location_task" ADD CONSTRAINT "fk_survey_location_task_survey_location_id" FOREIGN KEY (survey_location_id) REFERENCES survey_location(id) ;
ALTER TABLE "public"."survey_location" ADD CONSTRAINT "fk_survey_location_survey_id" FOREIGN KEY (survey_id) REFERENCES survey(id) ;
ALTER TABLE "public"."survey_location" ADD CONSTRAINT "fk_survey_location_survey" FOREIGN KEY (survey_id) REFERENCES survey(id) ON DELETE CASCADE ;
ALTER TABLE "public"."survey_equipment_required" ADD CONSTRAINT "survey_equipment_required_survey_fk" FOREIGN KEY (survey_id) REFERENCES survey(id) ON DELETE CASCADE ;
ALTER TABLE "public"."survey_equipment_required" ADD CONSTRAINT "survey_equipment_required_pdesc_fk" FOREIGN KEY (pdesc_id) REFERENCES pdesc(id) ;
ALTER TABLE "public"."survey_equipment_required" ADD CONSTRAINT "fk_survey_equipment_required_survey_id" FOREIGN KEY (survey_id) REFERENCES survey(id) ;
ALTER TABLE "public"."survey_control" ADD CONSTRAINT "survey_control_survey_action_fk" FOREIGN KEY (survey_action_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."survey_control" ADD CONSTRAINT "survey_control_survey_action_complete_fk" FOREIGN KEY (survey_action_complete_id) REFERENCES action_result_type(id) ;
ALTER TABLE "public"."survey_control" ADD CONSTRAINT "fk_survey_control_survey_action_id" FOREIGN KEY (survey_action_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."survey_control" ADD CONSTRAINT "fk_survey_control_survey_action_complete_id" FOREIGN KEY (survey_action_complete_id) REFERENCES action_result_type(id) ;
ALTER TABLE "public"."survey" ADD CONSTRAINT "fk_survey_survey_type_id" FOREIGN KEY (survey_type_id) REFERENCES survey_type(id) ;
ALTER TABLE "public"."survey" ADD CONSTRAINT "fk_survey_survey_status_id" FOREIGN KEY (survey_status_id) REFERENCES survey_status(id) ;
ALTER TABLE "public"."survey" ADD CONSTRAINT "fk_survey_survey_operator" FOREIGN KEY (actor) REFERENCES operator(cod) ;
ALTER TABLE "public"."survey" ADD CONSTRAINT "fk_survey_service_enquiry_id" FOREIGN KEY (service_enquiry_id) REFERENCES service_enquiry(id) ;
ALTER TABLE "public"."survey" ADD CONSTRAINT "fk_survey_service_enquiry" FOREIGN KEY (service_enquiry_id) REFERENCES service_enquiry(id) ;
ALTER TABLE "public"."support_detail" ADD CONSTRAINT "support_detail_fk2" FOREIGN KEY (nominal_code) REFERENCES nominal(cod) ;
ALTER TABLE "public"."support_detail" ADD CONSTRAINT "support_detail_fk1" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."support_detail" ADD CONSTRAINT "support_detail_fk" FOREIGN KEY (support_ser) REFERENCES support(ser) ;
ALTER TABLE "public"."support" ADD CONSTRAINT "support_fk" FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."suppnotes" ADD CONSTRAINT "suppnotes_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."supplier_touched" ADD CONSTRAINT "supplier_touched_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."supplier_terms" ADD CONSTRAINT "supplier_terms_fk" FOREIGN KEY (cod) REFERENCES supplier(cod) ;
ALTER TABLE "public"."supplier_group" ADD CONSTRAINT "supplier_group_fk1" FOREIGN KEY (slave) REFERENCES supplier(cod) ;
ALTER TABLE "public"."supplier_group" ADD CONSTRAINT "supplier_group_fk" FOREIGN KEY (master) REFERENCES supplier(cod) ;
ALTER TABLE "public"."supplier_ext" ADD CONSTRAINT "supplier_ext_fk2" FOREIGN KEY (vatcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."supplier_ext" ADD CONSTRAINT "supplier_ext_fk1" FOREIGN KEY (default_nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."supplier_ext" ADD CONSTRAINT "supplier_ext_fk" FOREIGN KEY (cod) REFERENCES supplier(cod) ;
ALTER TABLE "public"."supplier_age" ADD CONSTRAINT "fk_supplier_age" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."supplier" ADD CONSTRAINT "supplier_fk1" FOREIGN KEY (currency) REFERENCES currency(cod) ;
ALTER TABLE "public"."supplier" ADD CONSTRAINT "supplier_fk" FOREIGN KEY (credit_control) REFERENCES nominal(cod) ;
ALTER TABLE "public"."supplier" ADD CONSTRAINT "supplier_credit_control_fkey" FOREIGN KEY (credit_control) REFERENCES nominal(cod) ;
ALTER TABLE "public"."supp_intrastat" ADD CONSTRAINT "supp_intrastat_fk" FOREIGN KEY (cod) REFERENCES supplier(cod) ;
ALTER TABLE "public"."supp_bank_ext" ADD CONSTRAINT "supp_bank_ext_fk" FOREIGN KEY (cod) REFERENCES supplier(cod) ;
ALTER TABLE "public"."supp_analysis" ADD CONSTRAINT "supp_analysis_fk" FOREIGN KEY (cod) REFERENCES supplier(cod) ;
ALTER TABLE "public"."stock_movement" ADD CONSTRAINT "stock_movement_fk6" FOREIGN KEY (cust_depot, cust_cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."stock_movement" ADD CONSTRAINT "stock_movement_fk5" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."stock_movement" ADD CONSTRAINT "stock_movement_fk4" FOREIGN KEY (loc_after) REFERENCES depot(cod) ;
ALTER TABLE "public"."stock_movement" ADD CONSTRAINT "stock_movement_fk3" FOREIGN KEY (loc_before) REFERENCES depot(cod) ;
ALTER TABLE "public"."stock_movement" ADD CONSTRAINT "stock_movement_fk2" FOREIGN KEY (depot_after) REFERENCES depot(cod) ;
ALTER TABLE "public"."stock_movement" ADD CONSTRAINT "stock_movement_fk1" FOREIGN KEY (depot_before) REFERENCES depot(cod) ;
ALTER TABLE "public"."stock_movement" ADD CONSTRAINT "stock_movement_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."stock_movement" ADD CONSTRAINT "fk_stock_movement" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."stock_location" ADD CONSTRAINT "stock_location_fk" FOREIGN KEY (depot) REFERENCES depot(cod) ;
ALTER TABLE "public"."stock_freeze" ADD CONSTRAINT "stock_freeze_fk2" FOREIGN KEY (depot) REFERENCES depot(cod) ;
ALTER TABLE "public"."stock_freeze" ADD CONSTRAINT "stock_freeze_fk1" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."stock_freeze" ADD CONSTRAINT "stock_freeze_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."stock_count_zone" ADD CONSTRAINT "fk_scz_operator" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."stock_control" ADD CONSTRAINT "fk_stock_control1" FOREIGN KEY (nposted_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."stock_control" ADD CONSTRAINT "fk_stock_control" FOREIGN KEY (current_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."stock" ADD CONSTRAINT "stock_fk1" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."stock" ADD CONSTRAINT "stock_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."stk_take_wrk" ADD CONSTRAINT "stk_take_wrk_fk" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."stk_take" ADD CONSTRAINT "stk_take_product_type_id_fkey" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."stk_take" ADD CONSTRAINT "stk_take_fk" FOREIGN KEY (stk_freeze_hdr_id) REFERENCES stk_freeze_hdr(nsuk) ;
ALTER TABLE "public"."stk_header" ADD CONSTRAINT "stk_header_fk" FOREIGN KEY (depot) REFERENCES depot(cod) ;
ALTER TABLE "public"."stk_header" ADD CONSTRAINT "fk_stk_header" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."stk_freeze_hdr" ADD CONSTRAINT "stk_freeze_hdr_fk1" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."stk_freeze_hdr" ADD CONSTRAINT "stk_freeze_hdr_fk" FOREIGN KEY (sales_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."stk_freeze_dtl" ADD CONSTRAINT "stk_freeze_dtl_stk_freeze_hdr_id_fkey" FOREIGN KEY (stk_freeze_hdr_id) REFERENCES stk_freeze_hdr(nsuk) ;
ALTER TABLE "public"."stk_freeze_dtl" ADD CONSTRAINT "stk_freeze_dtl_product_type_id_fkey" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."stk_freeze_dtl" ADD CONSTRAINT "stk_freeze_dtl_fk" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."stk_adj_allocation" ADD CONSTRAINT "fki_orig_stk" FOREIGN KEY (orig_stk_mnt_id) REFERENCES stock_movement(nsuk) ;
ALTER TABLE "public"."stk_adj_allocation" ADD CONSTRAINT "fki_effected_stk" FOREIGN KEY (effected_stk_mnt_id) REFERENCES stock_movement(nsuk) ;
ALTER TABLE "public"."statement_run_head" ADD CONSTRAINT "fk_oper_id" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."statement_run_detail" ADD CONSTRAINT "fk_statement_run_detail" FOREIGN KEY (statement_run_head_id) REFERENCES statement_run_head(id) ;
ALTER TABLE "public"."ssledger" ADD CONSTRAINT "fk_ssledger" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."soq_xref" ADD CONSTRAINT "soq_xref_fk" FOREIGN KEY (quotation) REFERENCES quote(nsuk) ;
ALTER TABLE "public"."so_head" ADD CONSTRAINT "so_head_fk3" FOREIGN KEY (quotation_number) REFERENCES quote(nsuk) ;
ALTER TABLE "public"."so_head" ADD CONSTRAINT "so_head_fk2" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."so_head" ADD CONSTRAINT "so_head_fk1" FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."so_head" ADD CONSTRAINT "so_head_fk" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."smartcard" ADD CONSTRAINT "fk_smartcard" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."sledger_query" ADD CONSTRAINT "sledger_query_fk1" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."sledger_query" ADD CONSTRAINT "sledger_query_fk" FOREIGN KEY (sledger) REFERENCES sledger(ser) ;
ALTER TABLE "public"."sledger" ADD CONSTRAINT "sledger_fk2" FOREIGN KEY (lodgement) REFERENCES lodgement(cod) ;
ALTER TABLE "public"."sledger" ADD CONSTRAINT "sledger_fk1" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."sledger" ADD CONSTRAINT "sledger_fk" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."sledger" ADD CONSTRAINT "fk_sledger" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."sitesa" ADD CONSTRAINT "fk_sitesa" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."siteha" ADD CONSTRAINT "fk_siteha" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."siteda" ADD CONSTRAINT "fk_siteda" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."singles" ADD CONSTRAINT "singles_status_fk" FOREIGN KEY (stat) REFERENCES plant_status(nsuk) ;
ALTER TABLE "public"."singles" ADD CONSTRAINT "singles_pdesc_fk" FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod) ;
ALTER TABLE "public"."singles" ADD CONSTRAINT "singles_fk" FOREIGN KEY (asset_reg) REFERENCES asset_reg(cod) ;
ALTER TABLE "public"."singles" ADD CONSTRAINT "singles_depot_fk" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."single_item_status" ADD CONSTRAINT "single_item_status_to_fkey" FOREIGN KEY ("to") REFERENCES plant_status(nsuk) ;
ALTER TABLE "public"."single_item_status" ADD CONSTRAINT "single_item_status_from_fkey" FOREIGN KEY ("from") REFERENCES plant_status(nsuk) ;
ALTER TABLE "public"."sigcap_queue" ADD CONSTRAINT "sigcapq_sqstatus_fk" FOREIGN KEY (status) REFERENCES sigcap_queue_status(id) ;
ALTER TABLE "public"."sigcap_queue" ADD CONSTRAINT "sigcapq_hmhead_fk" FOREIGN KEY (hire_movement_id) REFERENCES hmhead(id) ;
ALTER TABLE "public"."sigcap_queue" ADD CONSTRAINT "sigcapq_adev_fk" FOREIGN KEY (device_id) REFERENCES android_device(id) ;
ALTER TABLE "public"."service_enquiry_worklist_to_sigcap_queue_map" ADD CONSTRAINT "fk_sew_to_sqm_service_enquiry_worklist_id" FOREIGN KEY (service_enquiry_worklist_id) REFERENCES service_enquiry_worklist(id) ;
ALTER TABLE "public"."service_enquiry_worklist_to_sigcap_queue_map" ADD CONSTRAINT "fk_sew_to_sigcap_queue_id" FOREIGN KEY (sigcap_queue_id) REFERENCES sigcap_queue(id) ;
ALTER TABLE "public"."service_enquiry_worklist_to_clocking_history_map" ADD CONSTRAINT "fk_sew_to_chm_service_enquiry_worklist_id" FOREIGN KEY (service_enquiry_worklist_id) REFERENCES service_enquiry_worklist(id) ;
ALTER TABLE "public"."service_enquiry_worklist_to_clocking_history_map" ADD CONSTRAINT "fk_sew_chm_clocking_history_id" FOREIGN KEY (clocking_history_id) REFERENCES clocking_history(id) ;
ALTER TABLE "public"."service_enquiry_worklist" ADD CONSTRAINT "fk_seworklist_custsite" FOREIGN KEY (custsite_id) REFERENCES custsite(id) ;
ALTER TABLE "public"."service_enquiry_worklist" ADD CONSTRAINT "fk_service_enquiry_worklist_service_enquiry_id" FOREIGN KEY (service_enquiry_id) REFERENCES service_enquiry(id) ;
ALTER TABLE "public"."service_enquiry_worklist" ADD CONSTRAINT "fk_service_enquiry_worklist_operator_id" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."service_enquiry_type_actions_template" ADD CONSTRAINT "service_enquiry_type_actions_template_service_enquiry_type_id" FOREIGN KEY (service_enquiry_type_id) REFERENCES service_enquiry_type(id) ;
ALTER TABLE "public"."service_enquiry_type_actions_template" ADD CONSTRAINT "service_enquiry_type_act_template_ix2" FOREIGN KEY (action_type_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."service_enquiry_type_actions_template" ADD CONSTRAINT "service_enquiry_type_act_template_ix1" FOREIGN KEY (service_enquiry_type_id) REFERENCES service_enquiry_type(id) ;
ALTER TABLE "public"."service_enquiry_type_actions_template" ADD CONSTRAINT "fk_service_enquiry_type_actions_template_action_type_id" FOREIGN KEY (action_type_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."service_enquiry_type_action_results_template" ADD CONSTRAINT "srvcnqrytypeactionresultstemplatesrvcnqirytypeactionstemplateid" FOREIGN KEY (service_enquiry_type_actions_template_id) REFERENCES service_enquiry_type_actions_template(id) ;
ALTER TABLE "public"."service_enquiry_type_action_results_template" ADD CONSTRAINT "serviceenquirytype_action_results_templateaction_result_type_id" FOREIGN KEY (action_result_type_id) REFERENCES action_result_type(id) ;
ALTER TABLE "public"."service_enquiry_type_action_results_template" ADD CONSTRAINT "service_enquiry_type_action_results_templatefollow_up_action_id" FOREIGN KEY (follow_up_action_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."service_enquiry_type_action_results_template" ADD CONSTRAINT "fk_srv_enq_act_res_to_result_fk" FOREIGN KEY (action_result_type_id) REFERENCES action_result_type(id) ;
ALTER TABLE "public"."service_enquiry_type_action_results_template" ADD CONSTRAINT "fk_srv_enq_act_res_to_action_fk" FOREIGN KEY (follow_up_action_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."service_enquiry_type_action_results_template" ADD CONSTRAINT "fk_service_enquiry_type_a_r_t_service_enquiry_type_action_resul" FOREIGN KEY (service_enquiry_type_actions_template_id) REFERENCES service_enquiry_type_actions_template(id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "service_enquiry_ix7" FOREIGN KEY (custsite_id) REFERENCES custsite(id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "service_enquiry_ix6" FOREIGN KEY (contact_id) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "service_enquiry_ix5" FOREIGN KEY (cust_id) REFERENCES cust(id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "service_enquiry_ix4" FOREIGN KEY (created_by) REFERENCES operator(cod) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "service_enquiry_ix3" FOREIGN KEY (ws_job_id) REFERENCES ws_job(nsuk) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "service_enquiry_ix2" FOREIGN KEY (service_enquiry_status_id) REFERENCES service_enquiry_status(id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "service_enquiry_ix1" FOREIGN KEY (service_enquiry_type_id) REFERENCES service_enquiry_type(id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "fk_service_enquiry_ws_job_id" FOREIGN KEY (ws_job_id) REFERENCES ws_job(nsuk) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "fk_service_enquiry_service_enquiry_type_id" FOREIGN KEY (service_enquiry_type_id) REFERENCES service_enquiry_type(id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "fk_service_enquiry_service_enquiry_status_id" FOREIGN KEY (service_enquiry_status_id) REFERENCES service_enquiry_status(id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "fk_service_enquiry_region" FOREIGN KEY (region_id) REFERENCES region(id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "fk_service_enquiry_custsite_id" FOREIGN KEY (custsite_id) REFERENCES custsite(id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "fk_service_enquiry_cust_id" FOREIGN KEY (cust_id) REFERENCES cust(id) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "fk_service_enquiry_created_by" FOREIGN KEY (created_by) REFERENCES operator(cod) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "fk_service_enquiry_contact_id" FOREIGN KEY (contact_id) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."service_enquiry" ADD CONSTRAINT "fk_ser_enquiry_assigned_to" FOREIGN KEY (assigned_to) REFERENCES operator(cod) ;
ALTER TABLE "public"."sd_line" ADD CONSTRAINT "sd_line_fk4" FOREIGN KEY (charge_pt_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."sd_line" ADD CONSTRAINT "sd_line_fk3" FOREIGN KEY (scaff_pt_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."sd_line" ADD CONSTRAINT "sd_line_fk2" FOREIGN KEY (status_id) REFERENCES sd_line_status(nsuk) ;
ALTER TABLE "public"."sd_line" ADD CONSTRAINT "sd_line_fk1" FOREIGN KEY (lnk_hnd_id) REFERENCES sd_line(nsuk) ;
ALTER TABLE "public"."sd_line" ADD CONSTRAINT "sd_line_fk" FOREIGN KEY (docket_id) REFERENCES scaff_docket(nsuk) ;
ALTER TABLE "public"."scontact" ADD CONSTRAINT "scontact_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."scaffolding_job" ADD CONSTRAINT "scaffolding_job_fk1" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."scaffolding_job" ADD CONSTRAINT "scaffolding_job_fk" FOREIGN KEY (type_id) REFERENCES scaffolding_jt(nsuk) ;
ALTER TABLE "public"."scaffolding_job" ADD CONSTRAINT "FK_cq_to_scaff" FOREIGN KEY (leader_id) REFERENCES worker(nsuk) ;
ALTER TABLE "public"."scaff_time_rec" ADD CONSTRAINT "scaff_time_rec_fk1" FOREIGN KEY (status_id) REFERENCES time_rec_status(nsuk) ;
ALTER TABLE "public"."scaff_time_rec" ADD CONSTRAINT "scaff_time_rec_fk" FOREIGN KEY (job_id) REFERENCES scaffolding_job(nsuk) ;
ALTER TABLE "public"."scaff_time_rec" ADD CONSTRAINT "FK_tech_to_scaf" FOREIGN KEY (scaffolder_id) REFERENCES worker(nsuk) ;
ALTER TABLE "public"."scaff_gang_map" ADD CONSTRAINT "scaff_gang_map_fk" FOREIGN KEY (gang_id) REFERENCES gang(nsuk) ;
ALTER TABLE "public"."scaff_gang_map" ADD CONSTRAINT "FK_sgm_to_scaf" FOREIGN KEY (scaffolder_id) REFERENCES worker(nsuk) ;
ALTER TABLE "public"."scaff_docket" ADD CONSTRAINT "scaff_docket_fk3" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."scaff_docket" ADD CONSTRAINT "scaff_docket_fk2" FOREIGN KEY (status_id) REFERENCES sd_status(nsuk) ;
ALTER TABLE "public"."scaff_docket" ADD CONSTRAINT "scaff_docket_fk1" FOREIGN KEY (docket_type_id) REFERENCES sd_type(nsuk) ;
ALTER TABLE "public"."scaff_docket" ADD CONSTRAINT "scaff_docket_fk" FOREIGN KEY (job_id) REFERENCES scaffolding_job(nsuk) ;
ALTER TABLE "public"."scaff_docket" ADD CONSTRAINT "FK_sdoc_signedBy" FOREIGN KEY (signer_id) REFERENCES worker(nsuk) ;
ALTER TABLE "public"."sanal" ADD CONSTRAINT "fk_sanal" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."sallocper" ADD CONSTRAINT "sallocper_fk1" FOREIGN KEY (acdepot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."sallocper" ADD CONSTRAINT "sallocper_fk" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."sallocper" ADD CONSTRAINT "fk_sallocper" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."sallocer" ADD CONSTRAINT "sallocer_fk" FOREIGN KEY (allocation) REFERENCES sallocper(allocation) ;
ALTER TABLE "public"."sallocee" ADD CONSTRAINT "sallocee_fk" FOREIGN KEY (allocation) REFERENCES sallocper(allocation) ;
ALTER TABLE "public"."salecr_stk_status" ADD CONSTRAINT "salecr_stk_status_fk" FOREIGN KEY (ihead_id) REFERENCES ihead(nsuk) ;
ALTER TABLE "public"."sale_line_feature" ADD CONSTRAINT "sale_feature_f_fk" FOREIGN KEY (feature_id) REFERENCES feature(id) ;
ALTER TABLE "public"."sagepaytransaction" ADD CONSTRAINT "custidsptransaction" FOREIGN KEY (cust_id) REFERENCES cust(id) ;
ALTER TABLE "public"."saccess" ADD CONSTRAINT "saccess_product_fk" FOREIGN KEY (product) REFERENCES product(cod) ;
ALTER TABLE "public"."s_ysales" ADD CONSTRAINT "s_ysales_fk1" FOREIGN KEY (dept) REFERENCES dept(nsuk) ;
ALTER TABLE "public"."s_ysales" ADD CONSTRAINT "s_ysales_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."s_wsales" ADD CONSTRAINT "s_wsales_fk1" FOREIGN KEY (dept) REFERENCES dept(nsuk) ;
ALTER TABLE "public"."s_wsales" ADD CONSTRAINT "s_wsales_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."s_msales" ADD CONSTRAINT "s_msales_fk1" FOREIGN KEY (dept) REFERENCES dept(nsuk) ;
ALTER TABLE "public"."s_msales" ADD CONSTRAINT "s_msales_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."s_msales" ADD CONSTRAINT "fk_s_msales" FOREIGN KEY (mth) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."rpt_dist_detail" ADD CONSTRAINT "rpt_dist_detail_fk1" FOREIGN KEY (contact) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."rpt_dist_detail" ADD CONSTRAINT "rpt_dist_detail_fk" FOREIGN KEY (distribution) REFERENCES rpt_dist_detail(nsuk) ;
ALTER TABLE "public"."reserved_ac" ADD CONSTRAINT "fk_res_ac" FOREIGN KEY (account_code) REFERENCES nominal(cod) ;
ALTER TABLE "public"."r_msales" ADD CONSTRAINT "fk_r_msales" FOREIGN KEY (mth) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."quote" ADD CONSTRAINT "fkquotetopricelist" FOREIGN KEY (rental_price_list) REFERENCES pricelist(nsuk) ;
ALTER TABLE "public"."quote" ADD CONSTRAINT "contact_fk" FOREIGN KEY (customer_contact) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."quotation_to_sigcap_queue_map" ADD CONSTRAINT "quotsq_to_quotation_fk" FOREIGN KEY (quotation_id) REFERENCES quotation(ser) ;
ALTER TABLE "public"."quotation_to_sigcap_queue_map" ADD CONSTRAINT "quotation_to_sigcap_queue_map_sigcap_queue_id_fkey" FOREIGN KEY (sigcap_queue_id) REFERENCES sigcap_queue(id) ;
ALTER TABLE "public"."quotation" ADD CONSTRAINT "fki_opportunity" FOREIGN KEY (opportunity) REFERENCES opportunity(nsuk) ;
ALTER TABLE "public"."q_sale_feature_xref" ADD CONSTRAINT "q_sale_id_f_fk" FOREIGN KEY (q_sale_id) REFERENCES q_sale(nsuk) ;
ALTER TABLE "public"."q_sale_feature_xref" ADD CONSTRAINT "q_sale_feature_f_fk" FOREIGN KEY (sale_line_feature_id) REFERENCES sale_line_feature(id) ;
ALTER TABLE "public"."q_sale" ADD CONSTRAINT "q_sale_to_vat_fk" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."q_sale" ADD CONSTRAINT "q_sale_to_quote_fk" FOREIGN KEY (quotation) REFERENCES quote(nsuk) ;
ALTER TABLE "public"."q_sale" ADD CONSTRAINT "q_sale_to_pt_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."q_sale" ADD CONSTRAINT "q_sale_to_location_fk" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."q_rental" ADD CONSTRAINT "q_rental_to_vat_fk" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."q_rental" ADD CONSTRAINT "q_rental_to_quote_fk" FOREIGN KEY (quotation) REFERENCES quote(nsuk) ;
ALTER TABLE "public"."q_rental" ADD CONSTRAINT "q_rental_to_operator_fk" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."q_rental" ADD CONSTRAINT "q_rental_pdesc_fk" FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod) ;
ALTER TABLE "public"."q_rental" ADD CONSTRAINT "q_rental_chargeline_fk" FOREIGN KEY (charge_line) REFERENCES charge_lines(nsuk) ;
ALTER TABLE "public"."q_disposal" ADD CONSTRAINT "q_disposal_to_vat_fk" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."q_disposal" ADD CONSTRAINT "q_disposal_to_quote" FOREIGN KEY (quotation) REFERENCES quote(nsuk) ;
ALTER TABLE "public"."q_disposal" ADD CONSTRAINT "q_disposal_to_pdesc" FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod) ;
ALTER TABLE "public"."q_disposal" ADD CONSTRAINT "q_disposal_to_operator_fk" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."putil" ADD CONSTRAINT "fk_putil" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."punt_cash" ADD CONSTRAINT "fk_punt_cash" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pt_ysales" ADD CONSTRAINT "pt_ysales_fk2" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_ysales" ADD CONSTRAINT "pt_ysales_fk1" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."pt_ysales" ADD CONSTRAINT "pt_ysales_fk" FOREIGN KEY (barcode) REFERENCES barcode(ean) ;
ALTER TABLE "public"."pt_wsales" ADD CONSTRAINT "pt_wsales_fk2" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_wsales" ADD CONSTRAINT "pt_wsales_fk1" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."pt_wsales" ADD CONSTRAINT "pt_wsales_fk" FOREIGN KEY (barcode) REFERENCES barcode(ean) ;
ALTER TABLE "public"."pt_web_product_order" ADD CONSTRAINT "ptorder" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_web_image" ADD CONSTRAINT "pt_webimg_pt_fk" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_web_image" ADD CONSTRAINT "pt_web_img_fk" FOREIGN KEY (image_type_id) REFERENCES image_type(id) ;
ALTER TABLE "public"."pt_web_detail" ADD CONSTRAINT "pt_web_list_fk" FOREIGN KEY (pt_listing_id) REFERENCES pt_listing(id) ;
ALTER TABLE "public"."pt_web_detail" ADD CONSTRAINT "pt_web_det_pt_fk" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_web_detail" ADD CONSTRAINT "pt_web_det_pr_fk" FOREIGN KEY (pricelist_id) REFERENCES pricelist(nsuk) ;
ALTER TABLE "public"."pt_web_detail" ADD CONSTRAINT "pt_web_det_br_fk" FOREIGN KEY (brand_id) REFERENCES brand(id) ;
ALTER TABLE "public"."pt_web_category" ADD CONSTRAINT "pt_web_cat_pt_fk" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_web_category" ADD CONSTRAINT "pt_web_cat_cat_fk" FOREIGN KEY (web_cat_id) REFERENCES category_tree(id) ;
ALTER TABLE "public"."pt_transport" ADD CONSTRAINT "pt_transport_fk" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_supplier" ADD CONSTRAINT "pt_supplier_fk2" FOREIGN KEY (currency) REFERENCES currency(cod) ;
ALTER TABLE "public"."pt_supplier" ADD CONSTRAINT "pt_supplier_fk1" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."pt_supplier" ADD CONSTRAINT "pt_supplier_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_serial" ADD CONSTRAINT "pt_serial_fk3" FOREIGN KEY (io_detail) REFERENCES iodetail(nsuk) ;
ALTER TABLE "public"."pt_serial" ADD CONSTRAINT "pt_serial_fk2" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."pt_serial" ADD CONSTRAINT "pt_serial_fk1" FOREIGN KEY (gi_detail) REFERENCES gi_detail(nsuk) ;
ALTER TABLE "public"."pt_serial" ADD CONSTRAINT "pt_serial_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_seo_keywords" ADD CONSTRAINT "pt_seo_key_fk" FOREIGN KEY (pt_seo_det_id) REFERENCES pt_seo_details(id) ;
ALTER TABLE "public"."pt_seo_details" ADD CONSTRAINT "pt_seo_pt_fk" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_part" ADD CONSTRAINT "pt_part_fk2" FOREIGN KEY (part_name) REFERENCES part_name(nsuk) ;
ALTER TABLE "public"."pt_part" ADD CONSTRAINT "pt_part_fk1" FOREIGN KEY (part) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_part" ADD CONSTRAINT "pt_part_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_option" ADD CONSTRAINT "pt_option_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_msales" ADD CONSTRAINT "pt_msales_fk3" FOREIGN KEY (sales_rep) REFERENCES operator(cod) ;
ALTER TABLE "public"."pt_msales" ADD CONSTRAINT "pt_msales_fk2" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_msales" ADD CONSTRAINT "pt_msales_fk1" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."pt_msales" ADD CONSTRAINT "pt_msales_fk" FOREIGN KEY (barcode) REFERENCES barcode(ean) ;
ALTER TABLE "public"."pt_msales" ADD CONSTRAINT "fk_pt_msales" FOREIGN KEY (mth) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pt_last_stock_check" ADD CONSTRAINT "lastCheckToProduct" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_intrastat" ADD CONSTRAINT "pt_intrastat_fk" FOREIGN KEY (pt_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_feature" ADD CONSTRAINT "pt_feature_f_fk" FOREIGN KEY (feature_id) REFERENCES feature(id) ;
ALTER TABLE "public"."pt_dimension" ADD CONSTRAINT "pt_dim_pt_fk" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_bundle_item" ADD CONSTRAINT "pt_bundle_product_type_fk" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_bundle_item" ADD CONSTRAINT "pt_bundle_item_fk" FOREIGN KEY (bundle_product_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pt_bin_loc" ADD CONSTRAINT "pt_bin_loc_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pstock_history" ADD CONSTRAINT "pstock_history_fk1" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."pstock_history" ADD CONSTRAINT "fk_pstock_history" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pstock" ADD CONSTRAINT "pstock_fk1" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."psearch" ADD CONSTRAINT "psearch_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."project_site_comments" ADD CONSTRAINT "psc_to_service_enquiry_fk" FOREIGN KEY (service_enquiry_id) REFERENCES service_enquiry(id) ;
ALTER TABLE "public"."project_site_comments" ADD CONSTRAINT "psc_to_custsite_fk" FOREIGN KEY (site_id) REFERENCES custsite(id) ;
ALTER TABLE "public"."product_type_lang" ADD CONSTRAINT "pt_lang_fk2" FOREIGN KEY (user_language) REFERENCES user_language(language_code) ;
ALTER TABLE "public"."product_type_lang" ADD CONSTRAINT "pt_lang_fk1" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."product_type" ADD CONSTRAINT "product_type_fk" FOREIGN KEY (product) REFERENCES product(nsuk) ;
ALTER TABLE "public"."product_supplier" ADD CONSTRAINT "product_supplier_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."product" ADD CONSTRAINT "product_fk6" FOREIGN KEY (stock_nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."product" ADD CONSTRAINT "product_fk5" FOREIGN KEY (dept_group) REFERENCES dept_group(nsuk) ;
ALTER TABLE "public"."product" ADD CONSTRAINT "product_fk3" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."product" ADD CONSTRAINT "product_fk2" FOREIGN KEY (purchase_nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."product" ADD CONSTRAINT "product_fk1" FOREIGN KEY (sales_nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."product" ADD CONSTRAINT "product_fk" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."prod_feature" ADD CONSTRAINT "prod_feature_f_fk" FOREIGN KEY (feature_id) REFERENCES feature(id) ;
ALTER TABLE "public"."pricelist_det" ADD CONSTRAINT "pricelist_det_fk1" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pricelist_det" ADD CONSTRAINT "pricelist_det_fk" FOREIGN KEY (pricelist) REFERENCES pricelist(nsuk) ;
ALTER TABLE "public"."pricelist" ADD CONSTRAINT "pricelist_fk" FOREIGN KEY (parent) REFERENCES pricelist(nsuk) ;
ALTER TABLE "public"."pricelist" ADD CONSTRAINT "fk_type" FOREIGN KEY (type_id) REFERENCES pricelist_types(type) ;
ALTER TABLE "public"."price_det_hist" ADD CONSTRAINT "price_det_hist_fk1" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."price_det_hist" ADD CONSTRAINT "price_det_hist_fk" FOREIGN KEY (pricelist) REFERENCES pricelist(nsuk) ;
ALTER TABLE "public"."pparams" ADD CONSTRAINT "fk_pparams1" FOREIGN KEY (eoy) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pparams" ADD CONSTRAINT "fk_pparams" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pohanal" ADD CONSTRAINT "pohanal_fk" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."pohanal" ADD CONSTRAINT "fk_pohanal" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."po_head" ADD CONSTRAINT "po_head_fk5" FOREIGN KEY (status) REFERENCES po_status(nsuk) ;
ALTER TABLE "public"."po_head" ADD CONSTRAINT "po_head_fk4" FOREIGN KEY (currency) REFERENCES currency(cod) ;
ALTER TABLE "public"."po_head" ADD CONSTRAINT "po_head_fk3" FOREIGN KEY (authorised_by) REFERENCES operator(cod) ;
ALTER TABLE "public"."po_head" ADD CONSTRAINT "po_head_fk2" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."po_head" ADD CONSTRAINT "po_head_fk1" FOREIGN KEY (ordered_by) REFERENCES operator(cod) ;
ALTER TABLE "public"."po_head" ADD CONSTRAINT "po_head_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."po_head" ADD CONSTRAINT "po_head_currency_fkey" FOREIGN KEY (currency) REFERENCES currency(cod) ;
ALTER TABLE "public"."po_detail" ADD CONSTRAINT "po_detail_fk4" FOREIGN KEY (po_head) REFERENCES po_head(nsuk) ;
ALTER TABLE "public"."po_detail" ADD CONSTRAINT "po_detail_fk3" FOREIGN KEY (vat) REFERENCES vat(cod) ;
ALTER TABLE "public"."po_detail" ADD CONSTRAINT "po_detail_fk2" FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod) ;
ALTER TABLE "public"."po_detail" ADD CONSTRAINT "po_detail_fk1" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."po_detail" ADD CONSTRAINT "po_detail_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pmoves" ADD CONSTRAINT "pmoves_pmove_type_fk" FOREIGN KEY (typ) REFERENCES plant_movement_type(id) ;
ALTER TABLE "public"."pmoves" ADD CONSTRAINT "pmoves_plantstat_fk2" FOREIGN KEY (to_stat) REFERENCES plant_status(nsuk) ;
ALTER TABLE "public"."pmoves" ADD CONSTRAINT "pmoves_plantstat_fk" FOREIGN KEY (from_stat) REFERENCES plant_status(nsuk) ;
ALTER TABLE "public"."pmoves" ADD CONSTRAINT "pmoves_fk4" FOREIGN KEY (to_loc) REFERENCES depot(cod) ;
ALTER TABLE "public"."pmoves" ADD CONSTRAINT "pmoves_fk3" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."pmoves" ADD CONSTRAINT "pmoves_fk1" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."plnlxref" ADD CONSTRAINT "plnlxref_fk1" FOREIGN KEY (nltrans) REFERENCES nltrans(trans_no) ;
ALTER TABLE "public"."plnlxref" ADD CONSTRAINT "plnlxref_fk" FOREIGN KEY (pledger) REFERENCES pledger(ser) ;
ALTER TABLE "public"."pledgerext" ADD CONSTRAINT "pledgerext_fk" FOREIGN KEY (pledger_ser) REFERENCES pledger(ser) ;
ALTER TABLE "public"."pledger_nltrans" ADD CONSTRAINT "pledger_nltrans_pledger_id_fkey" FOREIGN KEY (pledger_id) REFERENCES pledger(ser) ;
ALTER TABLE "public"."pledger_nltrans" ADD CONSTRAINT "pledger_nltrans_nltrans_id_fkey" FOREIGN KEY (nltrans_id) REFERENCES nltrans(trans_no) ;
ALTER TABLE "public"."pledger" ADD CONSTRAINT "pledger_image_ref_id_fkey" FOREIGN KEY (image_ref_id) REFERENCES imaging_barcode(nsuk) ;
ALTER TABLE "public"."pledger" ADD CONSTRAINT "pledger_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."pledger" ADD CONSTRAINT "pledger_currency_fkey" FOREIGN KEY (currency) REFERENCES currency(cod) ;
ALTER TABLE "public"."pledger" ADD CONSTRAINT "fk_pledger" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pi_head" ADD CONSTRAINT "pi_head_fk1" FOREIGN KEY (entered_by) REFERENCES operator(cod) ;
ALTER TABLE "public"."pi_head" ADD CONSTRAINT "pi_head_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."pi_detail" ADD CONSTRAINT "pi_detail_fk2" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pi_detail" ADD CONSTRAINT "pi_detail_fk1" FOREIGN KEY (po_detail) REFERENCES po_detail(nsuk) ;
ALTER TABLE "public"."pi_detail" ADD CONSTRAINT "pi_detail_fk" FOREIGN KEY (pi_head) REFERENCES pi_head(nsuk) ;
ALTER TABLE "public"."phistory" ADD CONSTRAINT "phistory_pcost_fkey" FOREIGN KEY (pcost) REFERENCES pcost(ser) ;
ALTER TABLE "public"."phistory" ADD CONSTRAINT "phistory_fk4" FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."phistory" ADD CONSTRAINT "phistory_fk3" FOREIGN KEY (supp) REFERENCES supplier(cod) ;
ALTER TABLE "public"."phistory" ADD CONSTRAINT "phistory_fk2" FOREIGN KEY (depot) REFERENCES depot(cod) ;
ALTER TABLE "public"."phistory" ADD CONSTRAINT "phistory_fk1" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."phistory" ADD CONSTRAINT "fk_phistory1" FOREIGN KEY (sales_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."phistory" ADD CONSTRAINT "fk_phistory" FOREIGN KEY (nominal_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pdsearch" ADD CONSTRAINT "pdseach_pdesc_fk" FOREIGN KEY (pdesc) REFERENCES pdesc(cod) ;
ALTER TABLE "public"."pdesc_trig" ADD CONSTRAINT "pdesc_trigfkey" FOREIGN KEY (id) REFERENCES pdesc(id) ;
ALTER TABLE "public"."pdesc_trig" ADD CONSTRAINT "idFkeyConstraint" FOREIGN KEY (id) REFERENCES pdesc(id) ;
ALTER TABLE "public"."pdesc_safety_msg" ADD CONSTRAINT "FK_pdesc_safety_msg" FOREIGN KEY (pdesc_id) REFERENCES pdesc(cod) ;
ALTER TABLE "public"."pdesc_ext" ADD CONSTRAINT "pdesc_ext_fk1" FOREIGN KEY (dept_group) REFERENCES hire_dept_group(nsuk) ;
ALTER TABLE "public"."pdesc_default_dtwr" ADD CONSTRAINT "pdesc_default_dtwr_pdesc_id_fkey" FOREIGN KEY (pdesc_id) REFERENCES pdesc(id) ;
ALTER TABLE "public"."pdesc_default_dtwr" ADD CONSTRAINT "pdesc_default_dtwr_day_to_week_ratio_hdr_id_fkey" FOREIGN KEY (day_to_week_ratio_hdr_id) REFERENCES day_to_week_ratio_hdr(id) ;
ALTER TABLE "public"."pdesc" ADD CONSTRAINT "pdesc_fk4" FOREIGN KEY (msg_typ) REFERENCES pmsg(msg_typ) ;
ALTER TABLE "public"."pdesc" ADD CONSTRAINT "pdesc_fk3" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."pdesc" ADD CONSTRAINT "pdesc_fk2" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."pdesc" ADD CONSTRAINT "pdesc_fk1" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."pdesc" ADD CONSTRAINT "pdesc_fk" FOREIGN KEY (asset_reg) REFERENCES asset_reg(cod) ;
ALTER TABLE "public"."pcost_product_type_map" ADD CONSTRAINT "pcost_product_type_map2" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."pcost_product_type_map" ADD CONSTRAINT "pcost_product_type_map1" FOREIGN KEY (pcost_id) REFERENCES pcost(ser) ;
ALTER TABLE "public"."pcost_history" ADD CONSTRAINT "pcost_history_fk1" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."pcost_history" ADD CONSTRAINT "fk_pcost_history" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pcost_ctrl" ADD CONSTRAINT "fk_pcost_ctrl" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pcost" ADD CONSTRAINT "pcost_fk1" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."pc_ihead" ADD CONSTRAINT "fk_pc_ihead" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pavail" ADD CONSTRAINT "pavail_fk1" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."pallocper" ADD CONSTRAINT "pallocper_fk1" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."pallocper" ADD CONSTRAINT "pallocper_fk" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."pallocper" ADD CONSTRAINT "fk_pallocper" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."pallocex" ADD CONSTRAINT "fk_pallex_to_pledger" FOREIGN KEY (pledger_id) REFERENCES pledger(ser) ;
ALTER TABLE "public"."pallocex" ADD CONSTRAINT "fk_pallex_to_palloc" FOREIGN KEY (allocation) REFERENCES pallocper(allocation) ;
ALTER TABLE "public"."pallocer" ADD CONSTRAINT "pallocer_fk1" FOREIGN KEY (er) REFERENCES pledger(ser) ;
ALTER TABLE "public"."pallocer" ADD CONSTRAINT "pallocer_fk" FOREIGN KEY (allocation) REFERENCES pallocper(allocation) ;
ALTER TABLE "public"."pallocee" ADD CONSTRAINT "pallocee_fk1" FOREIGN KEY (ee) REFERENCES pledger(ser) ;
ALTER TABLE "public"."pallocee" ADD CONSTRAINT "pallocee_fk" FOREIGN KEY (allocation) REFERENCES pallocper(allocation) ;
ALTER TABLE "public"."p_msales" ADD CONSTRAINT "fk_p_msales" FOREIGN KEY (mth) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."os_report_snapshot" ADD CONSTRAINT "fk_os_report_snapshot_location" FOREIGN KEY (location, contract) REFERENCES chead(location, contract) ;
ALTER TABLE "public"."opportunity_sale" ADD CONSTRAINT "opportunity_sale_to_vat_fk" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."opportunity_sale" ADD CONSTRAINT "opportunity_sale_to_pt_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."opportunity_sale" ADD CONSTRAINT "opportunity_sale_to_opportunity_fk" FOREIGN KEY (opportunity) REFERENCES opportunity(nsuk) ;
ALTER TABLE "public"."opportunity_sale" ADD CONSTRAINT "opportunity_sale_to_location_fk" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."opportunity_rental" ADD CONSTRAINT "opportunity_rental_to_vat_fk" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."opportunity_rental" ADD CONSTRAINT "opportunity_rental_to_opportunity_fk" FOREIGN KEY (opportunity) REFERENCES opportunity(nsuk) ;
ALTER TABLE "public"."opportunity_rental" ADD CONSTRAINT "opportunity_rental_to_operator_fk" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."opportunity_rental" ADD CONSTRAINT "opportunity_rental_pdesc_fk" FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod) ;
ALTER TABLE "public"."opportunity_rental" ADD CONSTRAINT "opportunity_rental_chargeline_fk" FOREIGN KEY (charge_line) REFERENCES charge_lines(nsuk) ;
ALTER TABLE "public"."opportunity_disposal" ADD CONSTRAINT "opportunity_disposal_to_vat_fk" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."opportunity_disposal" ADD CONSTRAINT "opportunity_disposal_to_pdesc" FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod) ;
ALTER TABLE "public"."opportunity_disposal" ADD CONSTRAINT "opportunity_disposal_to_opportunity" FOREIGN KEY (opportunity) REFERENCES opportunity(nsuk) ;
ALTER TABLE "public"."opportunity_disposal" ADD CONSTRAINT "opportunity_disposal_to_operator_fk" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."opportunity" ADD CONSTRAINT "contact_fk" FOREIGN KEY (customer_contact) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."operator_to_android_device_map" ADD CONSTRAINT "op_to_and_ix2" FOREIGN KEY (android_device_id) REFERENCES android_device(id) ;
ALTER TABLE "public"."operator_to_android_device_map" ADD CONSTRAINT "op_to_and_ix1" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."operator_to_android_device_map" ADD CONSTRAINT "fk_operator_to_android_device_map_operator_id" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."operator_to_android_device_map" ADD CONSTRAINT "fk_operator_to_android_device_map_android_device_id" FOREIGN KEY (android_device_id) REFERENCES android_device(id) ;
ALTER TABLE "public"."operator_roles" ADD CONSTRAINT "operator_roles_team_fk" FOREIGN KEY (team_id) REFERENCES team(nsuk) ;
ALTER TABLE "public"."operator_metadata" ADD CONSTRAINT "fk_operator_id" FOREIGN KEY (foreign_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."op_permissions" ADD CONSTRAINT "fk_operator" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."offhire_request_head" ADD CONSTRAINT "ohreqhead_site_fk" FOREIGN KEY (custsite_id) REFERENCES custsite(id) ;
ALTER TABLE "public"."offhire_request_head" ADD CONSTRAINT "ohreqhead_hmhead_fk" FOREIGN KEY (hmhead_id) REFERENCES hmhead(id) ;
ALTER TABLE "public"."offhire_request_head" ADD CONSTRAINT "ohreqhead_cust_fk" FOREIGN KEY (cust_id) REFERENCES cust(id) ;
ALTER TABLE "public"."offhire_request_head" ADD CONSTRAINT "ohreqhead_contact_fk" FOREIGN KEY (contact_id) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."offhire_request_detail" ADD CONSTRAINT "offreqdet_pdesc_fk" FOREIGN KEY (pdesc_id) REFERENCES pdesc(id) ;
ALTER TABLE "public"."offhire_request_detail" ADD CONSTRAINT "offreqdet_head_fk" FOREIGN KEY (offhire_request_head_id) REFERENCES offhire_request_head(id) ;
ALTER TABLE "public"."o_sale_feature_xref" ADD CONSTRAINT "o_sale_id_f_fk" FOREIGN KEY (o_sale_id) REFERENCES o_sale(nsuk) ;
ALTER TABLE "public"."o_sale_feature_xref" ADD CONSTRAINT "o_sale_feature_f_fk" FOREIGN KEY (sale_line_feature_id) REFERENCES sale_line_feature(id) ;
ALTER TABLE "public"."o_sale" ADD CONSTRAINT "osale_pt_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."o_sale" ADD CONSTRAINT "o_sale_cust_order_fk" FOREIGN KEY ("order") REFERENCES cust_order(nsuk) ;
ALTER TABLE "public"."o_rental" ADD CONSTRAINT "orental_pdesc_fk" FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod) ;
ALTER TABLE "public"."o_rental" ADD CONSTRAINT "o_rental_cust_order_fk" FOREIGN KEY ("order") REFERENCES cust_order(nsuk) ;
ALTER TABLE "public"."nsearch" ADD CONSTRAINT "nsearch_fk" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk9" FOREIGN KEY (dep_accum) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk8" FOREIGN KEY (disposals) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk7" FOREIGN KEY (equipment) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk6" FOREIGN KEY (petty_cash) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk5" FOREIGN KEY (retained) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk4" FOREIGN KEY (vat) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk3" FOREIGN KEY (disc_received) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk2" FOREIGN KEY (disc_allowed) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk17" FOREIGN KEY (equip_suspense) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk16" FOREIGN KEY (bd_recovered) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk15" FOREIGN KEY (bad_debts) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk14" FOREIGN KEY (capital) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk13" FOREIGN KEY (accruals) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk12" FOREIGN KEY (plonex) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk11" FOREIGN KEY (dep_expense) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk10" FOREIGN KEY (plondisp) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk1" FOREIGN KEY (creditors) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "nparams_fk" FOREIGN KEY (debtors) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "fk_nparams1" FOREIGN KEY (boy_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nparams" ADD CONSTRAINT "fk_nparams" FOREIGN KEY (current_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."non_disc_item" ADD CONSTRAINT "non_desc_fk3" FOREIGN KEY (pdesc_id) REFERENCES pdesc(id) ;
ALTER TABLE "public"."non_disc_item" ADD CONSTRAINT "non_desc_fk2" FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."non_disc_item" ADD CONSTRAINT "non_desc_fk1" FOREIGN KEY (product_id) REFERENCES product(nsuk) ;
ALTER TABLE "public"."nominal" ADD CONSTRAINT "nominal_currency_id_fkey" FOREIGN KEY (currency_id) REFERENCES currency(cod) ;
ALTER TABLE "public"."nltrans_hist" ADD CONSTRAINT "nltrans_hist_fk1" FOREIGN KEY (history_row) REFERENCES phistory(ser) ;
ALTER TABLE "public"."nltrans_hist" ADD CONSTRAINT "nltrans_hist_fk" FOREIGN KEY (trans_no) REFERENCES nltrans(trans_no) ;
ALTER TABLE "public"."nltrans_disp" ADD CONSTRAINT "nltrans_disp_fk1" FOREIGN KEY (disposal_row) REFERENCES disposals(ser) ;
ALTER TABLE "public"."nltrans_disp" ADD CONSTRAINT "nltrans_disp_fk" FOREIGN KEY (trans_no) REFERENCES nltrans(trans_no) ;
ALTER TABLE "public"."nltrans" ADD CONSTRAINT "nltrans_fk2" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."nltrans" ADD CONSTRAINT "nltrans_fk1" FOREIGN KEY (source) REFERENCES source(cod) ;
ALTER TABLE "public"."nltrans" ADD CONSTRAINT "nltrans_fk" FOREIGN KEY (cod) REFERENCES nominal(cod) ;
ALTER TABLE "public"."nltrans" ADD CONSTRAINT "nltrans_currency_fkey" FOREIGN KEY (currency) REFERENCES currency(cod) ;
ALTER TABLE "public"."nltrans" ADD CONSTRAINT "fk_nltrans" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nlperiods" ADD CONSTRAINT "fk_nlperiods4" FOREIGN KEY (to_creditor) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nlperiods" ADD CONSTRAINT "fk_nlperiods3" FOREIGN KEY (from_creditor) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nlperiods" ADD CONSTRAINT "fk_nlperiods2" FOREIGN KEY (to_debtor) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nlperiods" ADD CONSTRAINT "fk_nlperiods1" FOREIGN KEY (from_debtor) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nlperiods" ADD CONSTRAINT "fk_nlperiods" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nlmap" ADD CONSTRAINT "fk_nlmap2" FOREIGN KEY (to_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nlmap" ADD CONSTRAINT "fk_nlmap1" FOREIGN KEY (from_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nlmap" ADD CONSTRAINT "fk_nlmap" FOREIGN KEY (nominal_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nlbatch" ADD CONSTRAINT "nlbatch_fk1" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."nlbatch" ADD CONSTRAINT "nlbatch_fk" FOREIGN KEY (source) REFERENCES source(cod) ;
ALTER TABLE "public"."nlbatch" ADD CONSTRAINT "fk_nlbatch" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."nlbals" ADD CONSTRAINT "fk_nlbals" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."mobile_sales_detail" ADD CONSTRAINT "mobile_sales_hmhead_fk" FOREIGN KEY (hmsales_id) REFERENCES hmsales(id) ;
ALTER TABLE "public"."mobile_sales_detail" ADD CONSTRAINT "mobile_sales_det_mr_fk" FOREIGN KEY (mobile_return_id) REFERENCES mobile_return(id) ;
ALTER TABLE "public"."mobile_return_text" ADD CONSTRAINT "mobile_return_text_mr_fk" FOREIGN KEY (mobile_return_id) REFERENCES mobile_return(id) ;
ALTER TABLE "public"."mobile_return_signature" ADD CONSTRAINT "mobile_return_signature_mobile_return_fk" FOREIGN KEY (mobile_return_id) REFERENCES mobile_return(id) ;
ALTER TABLE "public"."mobile_return_image" ADD CONSTRAINT "mobile_return_image_mr_fk" FOREIGN KEY (mobile_return_id) REFERENCES mobile_return(id) ;
ALTER TABLE "public"."mobile_return_driver_text" ADD CONSTRAINT "mobile_return_driver_text_mr_fk" FOREIGN KEY (mobile_return_id) REFERENCES mobile_return(id) ;
ALTER TABLE "public"."mobile_return_detail" ADD CONSTRAINT "mobile_return_hmhead_fk" FOREIGN KEY (hmdetail_id) REFERENCES hmdetail(id) ;
ALTER TABLE "public"."mobile_return_detail" ADD CONSTRAINT "mobile_return_det_mr_fk" FOREIGN KEY (mobile_return_id) REFERENCES mobile_return(id) ;
ALTER TABLE "public"."mobile_return" ADD CONSTRAINT "mobile_return_mrstatus_fk" FOREIGN KEY (status) REFERENCES mobile_return_status(id) ;
ALTER TABLE "public"."mobile_return" ADD CONSTRAINT "mobile_return_hmhead_fk" FOREIGN KEY (hmhead_id) REFERENCES hmhead(id) ;
ALTER TABLE "public"."mirror_message" ADD CONSTRAINT "mirror_message_mirror_id_fkey" FOREIGN KEY (mirror_id) REFERENCES mirror(id) ;
ALTER TABLE "public"."lodgement" ADD CONSTRAINT "lodgement_fk1" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."lodgement" ADD CONSTRAINT "lodgement_fk" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."lodgement" ADD CONSTRAINT "fk_lodgement" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."journals" ADD CONSTRAINT "journals_fk3" FOREIGN KEY (source, batch) REFERENCES nlbatch(source, seq) ;
ALTER TABLE "public"."journals" ADD CONSTRAINT "journals_fk2" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."journals" ADD CONSTRAINT "journals_fk1" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."journals" ADD CONSTRAINT "journals_fk" FOREIGN KEY (source) REFERENCES source(cod) ;
ALTER TABLE "public"."journals" ADD CONSTRAINT "fk_journals" FOREIGN KEY (nominal_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."ioh_sale_feature_xref" ADD CONSTRAINT "ioh_sale_id_f_fk" FOREIGN KEY (detail_id) REFERENCES ioh_sale(nsuk) ;
ALTER TABLE "public"."ioh_sale_feature_xref" ADD CONSTRAINT "ioh_sale_feature_f_fk" FOREIGN KEY (sale_line_feature_id) REFERENCES sale_line_feature(id) ;
ALTER TABLE "public"."ioh_sale" ADD CONSTRAINT "ioh_sale_fk5" FOREIGN KEY (sales_rep) REFERENCES operator(cod) ;
ALTER TABLE "public"."ioh_sale" ADD CONSTRAINT "ioh_sale_fk4" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."ioh_sale" ADD CONSTRAINT "ioh_sale_fk3" FOREIGN KEY (barcode) REFERENCES barcode(ean) ;
ALTER TABLE "public"."ioh_sale" ADD CONSTRAINT "ioh_sale_fk2" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."ioh_sale" ADD CONSTRAINT "ioh_sale_fk1" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."ioh_sale" ADD CONSTRAINT "ioh_sale_fk" FOREIGN KEY (ac_location, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."ioh_hire" ADD CONSTRAINT "ioh_hire_fk4" FOREIGN KEY (sales_rep) REFERENCES operator(cod) ;
ALTER TABLE "public"."ioh_hire" ADD CONSTRAINT "ioh_hire_fk3" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."ioh_hire" ADD CONSTRAINT "ioh_hire_fk2" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."ioh_hire" ADD CONSTRAINT "ioh_hire_fk" FOREIGN KEY (ac_location, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."ioh_disp" ADD CONSTRAINT "ioh_disp_fk5" FOREIGN KEY (sales_rep) REFERENCES operator(cod) ;
ALTER TABLE "public"."ioh_disp" ADD CONSTRAINT "ioh_disp_fk4" FOREIGN KEY (sales_rep) REFERENCES operator(cod) ;
ALTER TABLE "public"."ioh_disp" ADD CONSTRAINT "ioh_disp_fk3" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."ioh_disp" ADD CONSTRAINT "ioh_disp_fk2" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."ioh_disp" ADD CONSTRAINT "ioh_disp_fk" FOREIGN KEY (ac_location, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."iodetail_feature_xref" ADD CONSTRAINT "iodetail_id_f_fk" FOREIGN KEY (detail_id) REFERENCES iodetail(nsuk) ;
ALTER TABLE "public"."iodetail_feature_xref" ADD CONSTRAINT "iodetail_feature_f_fk" FOREIGN KEY (sale_line_feature_id) REFERENCES sale_line_feature(id) ;
ALTER TABLE "public"."iodetail" ADD CONSTRAINT "iodetail_fk3" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."iodetail" ADD CONSTRAINT "iodetail_fk2" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."iodetail" ADD CONSTRAINT "iodetail_fk1" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."iodetail" ADD CONSTRAINT "iodetail_fk" FOREIGN KEY (doc_type, location, ref, cust) REFERENCES ihead(doc_type, location, ref, cust) ;
ALTER TABLE "public"."iod_ext" ADD CONSTRAINT "FK_iod_ext_iodetail" FOREIGN KEY (iodetail_id) REFERENCES iodetail(nsuk) ;
ALTER TABLE "public"."iod_bundle_item" ADD CONSTRAINT "iod_bundle_item_fk" FOREIGN KEY (bundle_product_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."inv_details" ADD CONSTRAINT "inv_details_fk" FOREIGN KEY (ac_location, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."imaging_barcode" ADD CONSTRAINT "imaging_barcode_docket_type_id_fkey" FOREIGN KEY (docket_type_id) REFERENCES scanned_docket_type(code) ;
ALTER TABLE "public"."ihead_hmhead_map" ADD CONSTRAINT "ihead_hmhead_map_return_reason_id_fkey" FOREIGN KEY (return_reason_id) REFERENCES return_reason(nsuk) ;
ALTER TABLE "public"."ihead" ADD CONSTRAINT "ihead_fk2" FOREIGN KEY (sales_rep) REFERENCES operator(cod) ;
ALTER TABLE "public"."ihead" ADD CONSTRAINT "ihead_fk1" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."ihead" ADD CONSTRAINT "ihead_fk" FOREIGN KEY (ac_location, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."ihead" ADD CONSTRAINT "fk_ihead" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."ihdetail_charge_lines_map" ADD CONSTRAINT "ihdetail_charge_lines_map_ihdetail_id_fkey" FOREIGN KEY (ihdetail_id) REFERENCES ihdetail(nsuk) ;
ALTER TABLE "public"."ihdetail_charge_lines_map" ADD CONSTRAINT "ihdetail_charge_lines_map_charge_lines_id_fkey" FOREIGN KEY (charge_lines_id) REFERENCES charge_lines(nsuk) ;
ALTER TABLE "public"."ihdetail" ADD CONSTRAINT "ihdetail_to_pdesc_fk" FOREIGN KEY (plant_desc) REFERENCES pdesc(cod) ;
ALTER TABLE "public"."ihdetail" ADD CONSTRAINT "ihdetail_fk4" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."ihdetail" ADD CONSTRAINT "ihdetail_fk3" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."ihdetail" ADD CONSTRAINT "ihdetail_fk2" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."ihdetail" ADD CONSTRAINT "ihdetail_fk1" FOREIGN KEY (ac_location) REFERENCES depot(cod) ;
ALTER TABLE "public"."ihdetail" ADD CONSTRAINT "ihdetail_fk" FOREIGN KEY (doc_type, location, ref, cust) REFERENCES ihead(doc_type, location, ref, cust) ;
ALTER TABLE "public"."iddetail" ADD CONSTRAINT "iddetail_fk4" FOREIGN KEY (ac_location) REFERENCES depot(cod) ;
ALTER TABLE "public"."iddetail" ADD CONSTRAINT "iddetail_fk3" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."iddetail" ADD CONSTRAINT "iddetail_fk2" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."iddetail" ADD CONSTRAINT "iddetail_fk1" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."iddetail" ADD CONSTRAINT "iddetail_fk" FOREIGN KEY (doc_type, location, ref, cust) REFERENCES ihead(doc_type, location, ref, cust) ;
ALTER TABLE "public"."hrates_dtwr_map" ADD CONSTRAINT "hrates_dtwr_map_hrates_id_fkey" FOREIGN KEY (hrates_id) REFERENCES hrates(nsuk) ;
ALTER TABLE "public"."hrates_dtwr_map" ADD CONSTRAINT "hrates_dtwr_map_day_to_week_ratio_hdr_id_fkey" FOREIGN KEY (day_to_week_ratio_hdr_id) REFERENCES day_to_week_ratio_hdr(id) ;
ALTER TABLE "public"."hrates" ADD CONSTRAINT "hrates_fk1" FOREIGN KEY (tender) REFERENCES tender(cod) ;
ALTER TABLE "public"."hmsales" ADD CONSTRAINT "hmsales_product_fk" FOREIGN KEY (product) REFERENCES product(cod) ;
ALTER TABLE "public"."hmsales" ADD CONSTRAINT "hmsales_chead_fkey" FOREIGN KEY (contract_location, contract) REFERENCES chead(location, contract) ;
ALTER TABLE "public"."hmhead_ext" ADD CONSTRAINT "hmhead_ext_id_fkey" FOREIGN KEY (id) REFERENCES hmhead(id) ;
ALTER TABLE "public"."hmhead" ADD CONSTRAINT "hmhead_image_ref_id_fkey" FOREIGN KEY (image_ref_id) REFERENCES imaging_barcode(nsuk) ;
ALTER TABLE "public"."hmhead" ADD CONSTRAINT "hmhead_fk4" FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod) ;
ALTER TABLE "public"."hmhead" ADD CONSTRAINT "hmhead_fk3" FOREIGN KEY (driver) REFERENCES driver(nsuk) ;
ALTER TABLE "public"."hmhead" ADD CONSTRAINT "hmhead_fk2" FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."hmhead" ADD CONSTRAINT "hmhead_fk1" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."hmhead" ADD CONSTRAINT "hmhead_fk" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."hmdetail" ADD CONSTRAINT "hmdetail_pdesc_fk" FOREIGN KEY (pdesc) REFERENCES pdesc(cod) ;
ALTER TABLE "public"."hmdetail" ADD CONSTRAINT "hmdet_hmhead_fkey" FOREIGN KEY (location, doc_type, doc_number) REFERENCES hmhead(location, doc_type, doc_number) ;
ALTER TABLE "public"."hmdetail" ADD CONSTRAINT "hmdet_chead_fkey" FOREIGN KEY (contract_location, contract) REFERENCES chead(location, contract) ;
ALTER TABLE "public"."hire_disc_detail" ADD CONSTRAINT "h_disc_detail_fk2" FOREIGN KEY (hire_dept_group) REFERENCES hire_dept_group(nsuk) ;
ALTER TABLE "public"."hire_disc_detail" ADD CONSTRAINT "h_disc_detail_fk1" FOREIGN KEY (department) REFERENCES hire_dept(nsuk) ;
ALTER TABLE "public"."hire_disc_detail" ADD CONSTRAINT "h_disc_detail_fk" FOREIGN KEY (disc_struct) REFERENCES disc_struct(nsuk) ;
ALTER TABLE "public"."hire_dept_group" ADD CONSTRAINT "hire_dept_group_fk" FOREIGN KEY (hire_dept) REFERENCES hire_dept(nsuk) ;
ALTER TABLE "public"."hanal" ADD CONSTRAINT "fk_hanal" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."haccess" ADD CONSTRAINT "haccess_pdesc_fk" FOREIGN KEY (pdesc) REFERENCES pdesc(cod) ;
ALTER TABLE "public"."gi_head" ADD CONSTRAINT "gi_head_image_ref_id_fkey" FOREIGN KEY (image_ref_id) REFERENCES imaging_barcode(nsuk) ;
ALTER TABLE "public"."gi_head" ADD CONSTRAINT "gi_head_fk3" FOREIGN KEY (inspected_by) REFERENCES operator(cod) ;
ALTER TABLE "public"."gi_head" ADD CONSTRAINT "gi_head_fk2" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."gi_head" ADD CONSTRAINT "gi_head_fk1" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."gi_head" ADD CONSTRAINT "gi_head_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."gi_detail" ADD CONSTRAINT "gi_detail_fk7" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."gi_detail" ADD CONSTRAINT "gi_detail_fk6" FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod) ;
ALTER TABLE "public"."gi_detail" ADD CONSTRAINT "gi_detail_fk5" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."gi_detail" ADD CONSTRAINT "gi_detail_fk4" FOREIGN KEY (pi_detail) REFERENCES pi_detail(nsuk) ;
ALTER TABLE "public"."gi_detail" ADD CONSTRAINT "gi_detail_fk3" FOREIGN KEY (cc_detail) REFERENCES cc_detail(nsuk) ;
ALTER TABLE "public"."gi_detail" ADD CONSTRAINT "gi_detail_fk2" FOREIGN KEY (po_detail) REFERENCES po_detail(nsuk) ;
ALTER TABLE "public"."gi_detail" ADD CONSTRAINT "gi_detail_fk1" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."gi_detail" ADD CONSTRAINT "gi_detail_fk" FOREIGN KEY (gi_head) REFERENCES gi_head(nsuk) ;
ALTER TABLE "public"."gi_detail" ADD CONSTRAINT "fk_gi_detail" FOREIGN KEY (stock_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."gang" ADD CONSTRAINT "FK_leader_to_gang" FOREIGN KEY (gang_leader_id) REFERENCES worker(nsuk) ;
ALTER TABLE "public"."g_ysales" ADD CONSTRAINT "g_ysales_fk1" FOREIGN KEY (dept) REFERENCES dept(nsuk) ;
ALTER TABLE "public"."g_ysales" ADD CONSTRAINT "g_ysales_fk" FOREIGN KEY (dept_group) REFERENCES dept_group(nsuk) ;
ALTER TABLE "public"."g_wsales" ADD CONSTRAINT "g_wsales_fk1" FOREIGN KEY (dept) REFERENCES dept(nsuk) ;
ALTER TABLE "public"."g_wsales" ADD CONSTRAINT "g_wsales_fk" FOREIGN KEY (dept_group) REFERENCES dept_group(nsuk) ;
ALTER TABLE "public"."g_msales" ADD CONSTRAINT "g_msales_fk1" FOREIGN KEY (dept) REFERENCES dept(nsuk) ;
ALTER TABLE "public"."g_msales" ADD CONSTRAINT "g_msales_fk" FOREIGN KEY (dept_group) REFERENCES dept_group(nsuk) ;
ALTER TABLE "public"."g_msales" ADD CONSTRAINT "fk_g_msales" FOREIGN KEY (mth) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."g_ihead" ADD CONSTRAINT "fk_g_ihead" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."freeze_gid" ADD CONSTRAINT "freeze_gid_fk" FOREIGN KEY (gi_detail) REFERENCES gi_detail(nsuk) ;
ALTER TABLE "public"."freeze_gid" ADD CONSTRAINT "fk_freeze_gid" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."fleet_gid_xref" ADD CONSTRAINT "fk_fleet_gid_xref" FOREIGN KEY (gi_detail) REFERENCES gi_detail(nsuk) ;
ALTER TABLE "public"."euro_cash" ADD CONSTRAINT "fk_euro_cash" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."driver" ADD CONSTRAINT "driver_fk1" FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod) ;
ALTER TABLE "public"."driver" ADD CONSTRAINT "driver_fk" FOREIGN KEY (asset_reg) REFERENCES asset_reg(cod) ;
ALTER TABLE "public"."dparams" ADD CONSTRAINT "fk_dparams1" FOREIGN KEY (boy_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."dparams" ADD CONSTRAINT "fk_dparams" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."dispxref" ADD CONSTRAINT "dispxref_fk1" FOREIGN KEY (disposal) REFERENCES disposals(ser) ;
ALTER TABLE "public"."dispxref" ADD CONSTRAINT "dispxref_fk" FOREIGN KEY (asset_reg) REFERENCES asset_reg(cod) ;
ALTER TABLE "public"."disposals" ADD CONSTRAINT "fk_disposals1" FOREIGN KEY (nominal_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."disposals" ADD CONSTRAINT "fk_disposals" FOREIGN KEY (sales_period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."disposals" ADD CONSTRAINT "disposals_fk4" FOREIGN KEY (disposal_type) REFERENCES disptypes(cod) ;
ALTER TABLE "public"."disposals" ADD CONSTRAINT "disposals_fk3" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."disposals" ADD CONSTRAINT "disposals_fk2" FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."disposals" ADD CONSTRAINT "disposals_fk" FOREIGN KEY (asset_reg) REFERENCES asset_reg(cod) ;
ALTER TABLE "public"."disc_detail" ADD CONSTRAINT "disc_detail_fk" FOREIGN KEY (disc_struct) REFERENCES disc_struct(nsuk) ;
ALTER TABLE "public"."dept_group" ADD CONSTRAINT "dept_group_fk" FOREIGN KEY (dept) REFERENCES dept(nsuk) ;
ALTER TABLE "public"."depot_ext" ADD CONSTRAINT "depot_ext_to_depot" FOREIGN KEY (depot_id) REFERENCES depot(cod) ;
ALTER TABLE "public"."depot" ADD CONSTRAINT "depot_fk1" FOREIGN KEY (acdepot) REFERENCES depot(cod) ;
ALTER TABLE "public"."depot" ADD CONSTRAINT "depot_fk" FOREIGN KEY (cost_centre) REFERENCES ccentre(cod) ;
ALTER TABLE "public"."day_to_week_ratio_dtl" ADD CONSTRAINT "day_to_week_ratio_dtl_day_to_week_ratio_hdr_id_fkey" FOREIGN KEY (day_to_week_ratio_hdr_id) REFERENCES day_to_week_ratio_hdr(id) ;
ALTER TABLE "public"."danal" ADD CONSTRAINT "fk_danal" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."d_ysales" ADD CONSTRAINT "d_ysales_fk" FOREIGN KEY (dept) REFERENCES dept(nsuk) ;
ALTER TABLE "public"."d_wsales" ADD CONSTRAINT "d_wsales_fk" FOREIGN KEY (dept) REFERENCES dept(nsuk) ;
ALTER TABLE "public"."d_msales" ADD CONSTRAINT "fk_d_msales" FOREIGN KEY (mth) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."d_msales" ADD CONSTRAINT "d_msales_fk" FOREIGN KEY (dept) REFERENCES dept(nsuk) ;
ALTER TABLE "public"."custsite_ext" ADD CONSTRAINT "custsite_ext_to_custsite" FOREIGN KEY (custsite_id) REFERENCES custsite(id) ;
ALTER TABLE "public"."custsite" ADD CONSTRAINT "custsite_cust_fk" FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."customercardtoken" ADD CONSTRAINT "customercardtokenfk1" FOREIGN KEY (cust_cc_details_id) REFERENCES cust_cc_details(id) ;
ALTER TABLE "public"."customer_request_head" ADD CONSTRAINT "creqhead_site_fk" FOREIGN KEY (custsite_id) REFERENCES custsite(id) ;
ALTER TABLE "public"."customer_request_head" ADD CONSTRAINT "creqhead_doc_req_type_fk" FOREIGN KEY (document_request_type_id) REFERENCES document_request_type(id) ;
ALTER TABLE "public"."customer_request_head" ADD CONSTRAINT "creqhead_cust_fk" FOREIGN KEY (cust_id) REFERENCES cust(id) ;
ALTER TABLE "public"."customer_request_head" ADD CONSTRAINT "creqhead_creq_status_fk" FOREIGN KEY (customer_request_status_id) REFERENCES customer_request_status(id) ;
ALTER TABLE "public"."customer_request_head" ADD CONSTRAINT "creqhead_contact_fk" FOREIGN KEY (contact_id) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."customer_request_equipment" ADD CONSTRAINT "creqdet_pdesc_fk" FOREIGN KEY (pdesc_id) REFERENCES pdesc(id) ;
ALTER TABLE "public"."customer_request_equipment" ADD CONSTRAINT "creqdet_head_fk" FOREIGN KEY (customer_request_head_id) REFERENCES customer_request_head(id) ;
ALTER TABLE "public"."custlist" ADD CONSTRAINT "custlist_fk" FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."custid" ADD CONSTRAINT "custid_fk" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."custbals" ADD CONSTRAINT "fk_custbals" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."custage" ADD CONSTRAINT "fk_custage" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."cust_status_hist" ADD CONSTRAINT "fk_cs_st_hist" FOREIGN KEY (depot, cust_id) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."cust_status_hist" ADD CONSTRAINT "cust_status_hist_operator2_id_fkey" FOREIGN KEY (operator2_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."cust_status_hist" ADD CONSTRAINT "cust_status_hist_operator1_id_fkey" FOREIGN KEY (operator1_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."cust_pricelist" ADD CONSTRAINT "cust_pricelist_fk1" FOREIGN KEY (pricelist) REFERENCES pricelist(nsuk) ;
ALTER TABLE "public"."cust_pricelist" ADD CONSTRAINT "cust_pricelist_fk" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."cust_order_to_sigcap_queue_map" ADD CONSTRAINT "cust_order_to_sigcap_queue_map_sigcap_queue_id_fkey" FOREIGN KEY (sigcap_queue_id) REFERENCES sigcap_queue(id) ;
ALTER TABLE "public"."cust_order_to_sigcap_queue_map" ADD CONSTRAINT "cotsq_to_cust_order_fk" FOREIGN KEY (cust_order_id) REFERENCES cust_order(nsuk) ;
ALTER TABLE "public"."cust_order_to_person_map" ADD CONSTRAINT "cotopfk2" FOREIGN KEY (cust_order_id) REFERENCES cust_order(nsuk) ;
ALTER TABLE "public"."cust_order_to_person_map" ADD CONSTRAINT "cotopfk1" FOREIGN KEY (person_id) REFERENCES person(id) ;
ALTER TABLE "public"."cust_order_gcal" ADD CONSTRAINT "cogcal_fk1" FOREIGN KEY (cust_order_id) REFERENCES cust_order(nsuk) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "fkcustotopricelist" FOREIGN KEY (rental_price_list) REFERENCES pricelist(nsuk) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_fk9" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_fk8" FOREIGN KEY (sales_rep) REFERENCES operator(cod) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_fk7" FOREIGN KEY (quotation) REFERENCES quote(nsuk) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_fk6" FOREIGN KEY (policy) REFERENCES policy(nam) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_fk5" FOREIGN KEY (discount_structure) REFERENCES disc_struct(nsuk) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_fk4" FOREIGN KEY (price_list) REFERENCES pricelist(nsuk) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_fk2" FOREIGN KEY (customer_contact) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_fk1" FOREIGN KEY (depot, customer) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_fk" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."cust_order" ADD CONSTRAINT "cust_order_custsite_fk" FOREIGN KEY (depot, customer, site) REFERENCES custsite(depot, cust, site) ;
ALTER TABLE "public"."cust_ext" ADD CONSTRAINT "cust_ext_fk3" FOREIGN KEY (vatcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."cust_ext" ADD CONSTRAINT "cust_ext_fk2" FOREIGN KEY (credit_controller) REFERENCES operator(cod) ;
ALTER TABLE "public"."cust_ext" ADD CONSTRAINT "cust_ext_fk1" FOREIGN KEY (sales_rep) REFERENCES operator(cod) ;
ALTER TABLE "public"."cust_ext" ADD CONSTRAINT "cust_ext_fk" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."cust_discstruct" ADD CONSTRAINT "cust_discstruct_fk1" FOREIGN KEY (disc_struct) REFERENCES disc_struct(nsuk) ;
ALTER TABLE "public"."cust_discstruct" ADD CONSTRAINT "cust_discstruct_fk" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."cust_cc_details" ADD CONSTRAINT "cust_cc_detailsfk1" FOREIGN KEY (cust_id) REFERENCES cust(id) ;
ALTER TABLE "public"."cust_category" ADD CONSTRAINT "cust_category_fk" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."cust_age" ADD CONSTRAINT "fk_cust_age" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."cust" ADD CONSTRAINT "fk_cust" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."cust" ADD CONSTRAINT "cust_fk5" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."cust" ADD CONSTRAINT "cust_fk4" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."cust" ADD CONSTRAINT "cust_fk3" FOREIGN KEY (tender) REFERENCES tender(cod) ;
ALTER TABLE "public"."cust" ADD CONSTRAINT "cust_fk2" FOREIGN KEY (policy) REFERENCES policy(nam) ;
ALTER TABLE "public"."cust" ADD CONSTRAINT "cust_fk1" FOREIGN KEY (depot) REFERENCES depot(cod) ;
ALTER TABLE "public"."cust" ADD CONSTRAINT "cust_fk" FOREIGN KEY (cust_status_id) REFERENCES cust_status(nsuk) ;
ALTER TABLE "public"."currency_rates" ADD CONSTRAINT "currency_rates_to_currency_fkey" FOREIGN KEY (to_currency) REFERENCES currency(cod) ;
ALTER TABLE "public"."currency_rates" ADD CONSTRAINT "currency_rates_from_currency_fkey" FOREIGN KEY (from_currency) REFERENCES currency(cod) ;
ALTER TABLE "public"."cumulative_stock_count" ADD CONSTRAINT "fk_csc_product_type" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."cumulative_stock_count" ADD CONSTRAINT "fk_csc_operator" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."csuspend" ADD CONSTRAINT "csuspend_fk1" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."csuspend" ADD CONSTRAINT "csuspend_fk" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."csearch" ADD CONSTRAINT "csearch_fk" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."cr_activity" ADD CONSTRAINT "fk_cr_activity" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."cr_activity" ADD CONSTRAINT "cr_activity_fk2" FOREIGN KEY (depot) REFERENCES depot(cod) ;
ALTER TABLE "public"."cr_activity" ADD CONSTRAINT "cr_activity_fk1" FOREIGN KEY (ac_location, ac_code) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."cr_activity" ADD CONSTRAINT "cr_activity_fk" FOREIGN KEY (act_typ) REFERENCES cr_typ(typ) ;
ALTER TABLE "public"."country_state_code" ADD CONSTRAINT "country_code" FOREIGN KEY (country_code_id) REFERENCES country_code(id) ;
ALTER TABLE "public"."contract_suspend" ADD CONSTRAINT "contract_suspend_fk1" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."contact_to_contact_detail_map" ADD CONSTRAINT "ctcdm_contact_fk" FOREIGN KEY (contact_id) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."contact_to_contact_detail_map" ADD CONSTRAINT "ctcdm_contact_detail_fk" FOREIGN KEY (contact_detail_id) REFERENCES contact_detail(id) ;
ALTER TABLE "public"."contact_photo" ADD CONSTRAINT "photo_contact_fk" FOREIGN KEY (id) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."contact_detail" ADD CONSTRAINT "cd_to_cd_category_fk" FOREIGN KEY (contact_detail_category_id) REFERENCES contact_detail_category(id) ;
ALTER TABLE "public"."contact" ADD CONSTRAINT "contact_fk1" FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."contact" ADD CONSTRAINT "contact_fk" FOREIGN KEY (typ) REFERENCES contact_type(cod) ;
ALTER TABLE "public"."con_except" ADD CONSTRAINT "fk_con_except" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."codetail_feature_xref" ADD CONSTRAINT "codetail_id_f_fk" FOREIGN KEY (location, contract, lin) REFERENCES codetail(location, contract, lin) ;
ALTER TABLE "public"."codetail_feature_xref" ADD CONSTRAINT "codetail_feature_f_fk" FOREIGN KEY (sale_line_feature_id) REFERENCES sale_line_feature(id) ;
ALTER TABLE "public"."codetail" ADD CONSTRAINT "codetail_fk3" FOREIGN KEY (vcode) REFERENCES vat(cod) ;
ALTER TABLE "public"."codetail" ADD CONSTRAINT "codetail_fk2" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."codetail" ADD CONSTRAINT "codetail_fk1" FOREIGN KEY (barcode) REFERENCES barcode(ean) ;
ALTER TABLE "public"."codetail" ADD CONSTRAINT "codetail_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."codetail" ADD CONSTRAINT "codetail_chead_fk" FOREIGN KEY (location, contract) REFERENCES chead(location, contract) ;
ALTER TABLE "public"."cod_bundle_item" ADD CONSTRAINT "cod_bundle_item_fk" FOREIGN KEY (bundle_product_id) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."cod_allocation" ADD CONSTRAINT "cod_allocation_fk2" FOREIGN KEY (pt_serial) REFERENCES pt_serial(nsuk) ;
ALTER TABLE "public"."cod_allocation" ADD CONSTRAINT "cod_allocation_fk1" FOREIGN KEY (gidetail) REFERENCES gi_detail(nsuk) ;
ALTER TABLE "public"."cn_pid_xref" ADD CONSTRAINT "cn_pid_xref_fk2" FOREIGN KEY (cndetail) REFERENCES cn_detail(nsuk) ;
ALTER TABLE "public"."cn_pid_xref" ADD CONSTRAINT "cn_pid_xref_fk1" FOREIGN KEY (ccdetail) REFERENCES cc_detail(nsuk) ;
ALTER TABLE "public"."cn_pid_xref" ADD CONSTRAINT "cn_pid_xref_fk" FOREIGN KEY (pidetail) REFERENCES pi_detail(nsuk) ;
ALTER TABLE "public"."cn_head" ADD CONSTRAINT "cn_head_fk2" FOREIGN KEY (entered_by) REFERENCES operator(cod) ;
ALTER TABLE "public"."cn_head" ADD CONSTRAINT "cn_head_fk1" FOREIGN KEY (pledger_ser) REFERENCES pledger(ser) ;
ALTER TABLE "public"."cn_head" ADD CONSTRAINT "cn_head_fk" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."cn_detail" ADD CONSTRAINT "cn_detail_fk4" FOREIGN KEY (vat_code) REFERENCES vat(cod) ;
ALTER TABLE "public"."cn_detail" ADD CONSTRAINT "cn_detail_fk3" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."cn_detail" ADD CONSTRAINT "cn_detail_fk2" FOREIGN KEY (cc_detail) REFERENCES cc_detail(nsuk) ;
ALTER TABLE "public"."cn_detail" ADD CONSTRAINT "cn_detail_fk1" FOREIGN KEY (pi_detail) REFERENCES pi_detail(nsuk) ;
ALTER TABLE "public"."cn_detail" ADD CONSTRAINT "cn_detail_fk" FOREIGN KEY (cn_head) REFERENCES cn_head(nsuk) ;
ALTER TABLE "public"."clocking_history" ADD CONSTRAINT "fk_clocking_history_clocked_event_id" FOREIGN KEY (clocked_event_id) REFERENCES clocked_event(id) ;
ALTER TABLE "public"."cheque_xref" ADD CONSTRAINT "cheque_xref_fk" FOREIGN KEY (ledger) REFERENCES pledger(ser) ;
ALTER TABLE "public"."cheque_history" ADD CONSTRAINT "cheque_history_pledger_id_fkey" FOREIGN KEY (pledger_id) REFERENCES pledger(ser) ;
ALTER TABLE "public"."cheque_hist_det" ADD CONSTRAINT "cheque_hist_det_cheque_history_id_fkey" FOREIGN KEY (cheque_history_id) REFERENCES cheque_history(nsuk) ;
ALTER TABLE "public"."cheadext" ADD CONSTRAINT "contact_fk" FOREIGN KEY (customer_contact) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."cheadext" ADD CONSTRAINT "cheadext_fk" FOREIGN KEY (location, contract) REFERENCES chead(location, contract) ;
ALTER TABLE "public"."chead_trig" ADD CONSTRAINT "cheadfkey" FOREIGN KEY (contract, location) REFERENCES chead(contract, location) ;
ALTER TABLE "public"."chead_to_person_map" ADD CONSTRAINT "chtopfk2" FOREIGN KEY (chead_location, chead_contract) REFERENCES chead(location, contract) ;
ALTER TABLE "public"."chead_to_person_map" ADD CONSTRAINT "chtopfk1" FOREIGN KEY (person_id) REFERENCES person(id) ;
ALTER TABLE "public"."chead" ADD CONSTRAINT "chead_fk3" FOREIGN KEY (tender) REFERENCES tender(cod) ;
ALTER TABLE "public"."chead" ADD CONSTRAINT "chead_fk2" FOREIGN KEY (depot, cust, site) REFERENCES custsite(depot, cust, site) ;
ALTER TABLE "public"."chead" ADD CONSTRAINT "chead_fk1" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."chead" ADD CONSTRAINT "chead_fk" FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."chdetail_dtwr" ADD CONSTRAINT "chdetail_dtwr_day_to_week_ratio_hdr_id_fkey" FOREIGN KEY (day_to_week_ratio_hdr_id) REFERENCES day_to_week_ratio_hdr(id) ;
ALTER TABLE "public"."chdetail_dtwr" ADD CONSTRAINT "chdetail_dtwr_chdetail_id_fkey" FOREIGN KEY (chdetail_id) REFERENCES chdetail(id) ;
ALTER TABLE "public"."chdetail" ADD CONSTRAINT "chdetail_fk2" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."chdetail" ADD CONSTRAINT "chdetail_fk1" FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."chdetail" ADD CONSTRAINT "chdetail_fk" FOREIGN KEY (location, contract) REFERENCES chead(location, contract) ;
ALTER TABLE "public"."charge_lines_dtwr_map" ADD CONSTRAINT "charge_lines_dtwr_map_day_to_week_ratio_hdr_id_fkey" FOREIGN KEY (day_to_week_ratio_hdr_id) REFERENCES day_to_week_ratio_hdr(id) ;
ALTER TABLE "public"."charge_lines_dtwr_map" ADD CONSTRAINT "charge_lines_dtwr_map_charge_lines_id_fkey" FOREIGN KEY (charge_lines_id) REFERENCES charge_lines(nsuk) ;
ALTER TABLE "public"."certificate_to_ws_job_template_map" ADD CONSTRAINT "ctwjt_ws_job_template_fk" FOREIGN KEY (ws_job_template_id) REFERENCES ws_job_template(nsuk) ;
ALTER TABLE "public"."certificate_to_ws_job_template_map" ADD CONSTRAINT "ctwjt_job_certificate_text_fk" FOREIGN KEY (job_certificate_text_id) REFERENCES job_certificate_text(nsuk) ;
ALTER TABLE "public"."cdisposal" ADD CONSTRAINT "cdisposal_fk" FOREIGN KEY (location, contract) REFERENCES chead(location, contract) ;
ALTER TABLE "public"."cc_head" ADD CONSTRAINT "cc_head_fk5" FOREIGN KEY (contact) REFERENCES scontact(nsuk) ;
ALTER TABLE "public"."cc_head" ADD CONSTRAINT "cc_head_fk4" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."cc_head" ADD CONSTRAINT "cc_head_fk3" FOREIGN KEY (entered_by) REFERENCES operator(cod) ;
ALTER TABLE "public"."cc_head" ADD CONSTRAINT "cc_head_fk2" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."cc_head" ADD CONSTRAINT "cc_head_fk1" FOREIGN KEY (contact) REFERENCES scontact(nsuk) ;
ALTER TABLE "public"."cc_head" ADD CONSTRAINT "cc_head_fk" FOREIGN KEY (status) REFERENCES cc_status(nsuk) ;
ALTER TABLE "public"."cc_detail" ADD CONSTRAINT "cc_detail_fk1" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."cc_detail" ADD CONSTRAINT "cc_detail_fk" FOREIGN KEY (cc_head) REFERENCES cc_head(nsuk) ;
ALTER TABLE "public"."cash" ADD CONSTRAINT "cash_fk4" FOREIGN KEY (lodgement) REFERENCES lodgement(cod) ;
ALTER TABLE "public"."cash" ADD CONSTRAINT "cash_fk3" FOREIGN KEY (cash_ac) REFERENCES nominal(cod) ;
ALTER TABLE "public"."cash" ADD CONSTRAINT "cash_fk2" FOREIGN KEY (operator) REFERENCES operator(cod) ;
ALTER TABLE "public"."cash" ADD CONSTRAINT "cash_fk1" FOREIGN KEY (nominal) REFERENCES nominal(cod) ;
ALTER TABLE "public"."cash" ADD CONSTRAINT "cash_fk" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."call_queue" ADD CONSTRAINT "call_queue_fk" FOREIGN KEY (called_by_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."call_queue" ADD CONSTRAINT "FK_cq_to_scaff" FOREIGN KEY (team_leader_id) REFERENCES worker(nsuk) ;
ALTER TABLE "public"."brand" ADD CONSTRAINT "cat_tree_fk" FOREIGN KEY (cat_tree_id) REFERENCES category_tree(id) ;
ALTER TABLE "public"."bin_location" ADD CONSTRAINT "bin_location_fk1" FOREIGN KEY (parent) REFERENCES bin_location(nsuk) ;
ALTER TABLE "public"."bin_location" ADD CONSTRAINT "bin_location_fk" FOREIGN KEY (location) REFERENCES depot(cod) ;
ALTER TABLE "public"."barcode" ADD CONSTRAINT "barcode_fk1" FOREIGN KEY (supplier) REFERENCES supplier(cod) ;
ALTER TABLE "public"."barcode" ADD CONSTRAINT "barcode_fk" FOREIGN KEY (product_type) REFERENCES product_type(nsuk) ;
ALTER TABLE "public"."banknlxref" ADD CONSTRAINT "fk_bankrecid" FOREIGN KEY (bank_rec_id) REFERENCES bank_rec(nsuk) ;
ALTER TABLE "public"."bank_rec" ADD CONSTRAINT "fk_oper_id" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."bank_rec" ADD CONSTRAINT "bank_rec_nominal" FOREIGN KEY (bank_account) REFERENCES nominal(cod) ;
ALTER TABLE "public"."bank_accounts" ADD CONSTRAINT "bank_accounts_fk1" FOREIGN KEY (currency_id) REFERENCES currency(cod) ;
ALTER TABLE "public"."bank_accounts" ADD CONSTRAINT "bank_accounts_fk" FOREIGN KEY (cod) REFERENCES nominal(cod) ;
ALTER TABLE "public"."authorized_actions" ADD CONSTRAINT "auth_action_team_fk" FOREIGN KEY (team_id) REFERENCES team(nsuk) ;
ALTER TABLE "public"."authorized_actions" ADD CONSTRAINT "auth_action_action_type_fk" FOREIGN KEY (action_type_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."audit_sledger" ADD CONSTRAINT "fk_audit_sledger" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."audit_pledger" ADD CONSTRAINT "fk_audit_pledger1" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."audit_ihead" ADD CONSTRAINT "fk_audit_ihead" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."audit_cust" ADD CONSTRAINT "fk_audit_cust" FOREIGN KEY (period) REFERENCES first_of_month(date) ;
ALTER TABLE "public"."asset_reg" ADD CONSTRAINT "asset_reg_fk4" FOREIGN KEY (nominal_plondi) REFERENCES nominal(cod) ;
ALTER TABLE "public"."asset_reg" ADD CONSTRAINT "asset_reg_fk3" FOREIGN KEY (nominal_disposals) REFERENCES nominal(cod) ;
ALTER TABLE "public"."asset_reg" ADD CONSTRAINT "asset_reg_fk2" FOREIGN KEY (nominal_depn_exp) REFERENCES nominal(cod) ;
ALTER TABLE "public"."asset_reg" ADD CONSTRAINT "asset_reg_fk1" FOREIGN KEY (nominal_accum_depn) REFERENCES nominal(cod) ;
ALTER TABLE "public"."asset_reg" ADD CONSTRAINT "asset_reg_fk" FOREIGN KEY (nominal_cost) REFERENCES nominal(cod) ;
ALTER TABLE "public"."asset_reg" ADD CONSTRAINT "asset_reg_equipment_suspense_fkey" FOREIGN KEY (equipment_suspense) REFERENCES nominal(cod) ;
ALTER TABLE "public"."answer_type_options" ADD CONSTRAINT "question_type_options_fk1" FOREIGN KEY (answer_type_id) REFERENCES answer_type(id) ;
ALTER TABLE "public"."answer_type_options" ADD CONSTRAINT "fk_answer_type_options_answer_type_id" FOREIGN KEY (answer_type_id) REFERENCES answer_type(id) ;
ALTER TABLE "public"."android_device" ADD CONSTRAINT "android_type_fk" FOREIGN KEY (android_device_type_id) REFERENCES android_device_type(id) ;
ALTER TABLE "public"."actor_to_operator_map" ADD CONSTRAINT "fk_actor_to_operator_map_operator_id" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."actor_to_operator_map" ADD CONSTRAINT "actor_to_operator_map_fk1" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."action_type" ADD CONSTRAINT "action_type_serv_enq_status" FOREIGN KEY (enq_status_modifier) REFERENCES service_enquiry_status(id) ;
ALTER TABLE "public"."action_status_event" ADD CONSTRAINT "fk_action_status_event_action_status_id" FOREIGN KEY (action_status_id) REFERENCES action_status(id) ;
ALTER TABLE "public"."action_status_event" ADD CONSTRAINT "fk_action_status_event_action_status_event_2" FOREIGN KEY (action_status_id) REFERENCES action_status(id) ;
ALTER TABLE "public"."action_status_event" ADD CONSTRAINT "fk_action_status_event_action_id" FOREIGN KEY (action_id) REFERENCES action(id) ON DELETE CASCADE ;
ALTER TABLE "public"."action_result" ADD CONSTRAINT "fk_action_result_action_result_type_id" FOREIGN KEY (action_result_type_id) REFERENCES action_result_type(id) ;
ALTER TABLE "public"."action_result" ADD CONSTRAINT "fk_action_result_action_id" FOREIGN KEY (action_id) REFERENCES action(id) ON DELETE CASCADE ;
ALTER TABLE "public"."action_cust_opportunity_map" ADD CONSTRAINT "opportunityaction" FOREIGN KEY (opportunity_id) REFERENCES opportunity(nsuk) ;
ALTER TABLE "public"."action_cust_opportunity_map" ADD CONSTRAINT "custaction" FOREIGN KEY (cust_id) REFERENCES cust(id) ;
ALTER TABLE "public"."action" ADD CONSTRAINT "fk_action_service_enquiry_id" FOREIGN KEY (service_enquiry_id) REFERENCES service_enquiry(id) ;
ALTER TABLE "public"."action" ADD CONSTRAINT "fk_action_service_enquiry" FOREIGN KEY (service_enquiry_id) REFERENCES service_enquiry(id) ON DELETE CASCADE ;
ALTER TABLE "public"."action" ADD CONSTRAINT "fk_action_created_by" FOREIGN KEY (created_by) REFERENCES operator(cod) ;
ALTER TABLE "public"."action" ADD CONSTRAINT "fk_action_actor" FOREIGN KEY (actor) REFERENCES operator(cod) ;
ALTER TABLE "public"."action" ADD CONSTRAINT "fk_action_action_type_id" FOREIGN KEY (action_type_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."action" ADD CONSTRAINT "fk_action_action_priority_id" FOREIGN KEY (action_priority_id) REFERENCES action_priority(id) ;
ALTER TABLE "public"."action" ADD CONSTRAINT "fk_action_actee_map_id" FOREIGN KEY (actee_map_id) REFERENCES actee_map(id) ;
ALTER TABLE "public"."action" ADD CONSTRAINT "action_ix2" FOREIGN KEY (action_priority_id) REFERENCES action_priority(id) ;
ALTER TABLE "public"."action" ADD CONSTRAINT "action_ix1" FOREIGN KEY (action_type_id) REFERENCES action_type(id) ;
ALTER TABLE "public"."action" ADD CONSTRAINT "action_actee_map_fk" FOREIGN KEY (actee_map_id) REFERENCES actee_map(id) ;
ALTER TABLE "public"."actee_map" ADD CONSTRAINT "fk_actee_map_operator_id" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."actee_map" ADD CONSTRAINT "fk_actee_map_contact_id" FOREIGN KEY (contact_id) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."actee_map" ADD CONSTRAINT "actee_map_fk2" FOREIGN KEY (operator_id) REFERENCES operator(cod) ;
ALTER TABLE "public"."actee_map" ADD CONSTRAINT "actee_map_fk1" FOREIGN KEY (contact_id) REFERENCES contact(nsuk) ;
ALTER TABLE "public"."account_groups" ADD CONSTRAINT "account_groups_fk3" FOREIGN KEY (slave_depot, slave_cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."account_groups" ADD CONSTRAINT "account_groups_fk2" FOREIGN KEY (master_depot, master_cust) REFERENCES cust(depot, cod) ;
ALTER TABLE "public"."account_groups" ADD CONSTRAINT "account_groups_fk1" FOREIGN KEY (slave_depot) REFERENCES depot(cod) ;
ALTER TABLE "public"."account_groups" ADD CONSTRAINT "account_groups_fk" FOREIGN KEY (master_depot) REFERENCES depot(cod) ;
